Welcome

Welcome To Web Studio 2.0!

Welcome to Web Studio! With Web Studio you can drag and drop your way to a professional Web site. The process is quick, easy, and allows you total design satisfaction. From posting on-line baby announcements and family vacation photos to creating small business sites, Web Studio is an invaluable addition to your software library.

Web Studio Makes Web Site Building Easy!

Web Studio is a Web page building program. It allows you to design your pages visually by placing images and text on your pages by using your mouse to drag and drop. The program includes several thumbnail galleries that contain graphics, sounds, links, Special F/X, and much more. You can easily incorporate your own photos and graphics. With a simple click on the mouse Web Studio creates the HTML for you and will post your pages on the Internet where they can be viewed by anyone with an Internet connection.

Web Studio Help Quick Links

Web Studio Feature Guide

Web Studio Online!

Web Studio Tips and Tricks


The Official Web Studio Web Site!

Visit Web Studio online!

Be sure to visit us at the Official Web Studio Web site. You can find many great resources to enhance Web Studio. It will also inspire, inform, and expand your abilities as a Web page builder. Here are a few of the reasons to visit!

Web Studio Tips and Tricks:

Team Web Studio is always looking for cool ways to make your Web page building easier and your finished Web pages more fun! In addition, Web Studio users are extremely creative and are constantly coming up with new ideas we did not think of and are sharing them with us! We combine the better ideas and include them on our Tips and Tricks page. Stop by and discover a new trick today.

Click to go online: Web Studio Tips and Tricks

Web Studio Technical Support:

Sierra's Technical Support is hard at work finding solutions to your Web page building problems. Some are common, and some are unique. Check out the On-line Tech Support page and you are bound to find a solution to your problem without having to wait for a Tech Support technician on the phone. It is available 24 hours a day, 7 days a week, so it is ready when you are.

Click to go online: Web Studio Tech Support

The Web Studio Message Board:

The Web Studio Message Board is a great place to meet other Web page builders using Web Studio, but more importantly it is a great place to go for advice, tips and tricks, and free comments about your site! Let our Message Board moderator and other Web Studio power users help you with great ideas on how you can get the most out of your Web pages. From learning the basics to getting tips on the latest cool effects the Web Studio Message Boards should be in your "Favorite Places to Go" list!

Click to go online: Web Studio Message Board


Custom Interface

Web Studio has a brand new interface. We have changed the colors of the Galleries and the look of a few key toolbars. But most importantly, you can now customize Web Studio to look just the way you want it to. The Web Studio Galleries and Page List are now scalable (resizable) and you can place them anywhere on the screen you prefer.

The great advantage to the scalable galleries is that now you can view many more thumbnails of content at once (In addition you can also choose "Small Thumbnails" from the View menu to see more in the Galleries). And since we have added over 15,000 new images for you to use, that increased functionality has a clear purpose. And by moving the Galleries around you can find the position that best suits your current Web site building needs.

To move any Gallery simply move your mouse over the double lines that run next to the "close window" button on the specific gallery/toolbar and drag it to the part of the window you prefer.

The program toolbars can be turned off and on and moved around the screen as well. And Web Studio will remember how you had things placed when you last shut down and will retain that layout when you next start the program.


The New My Stuff Gallery

The My Stuff Gallery was already a great feature in Web Studio 1.0 and in this version of Web Studio we have made it even better. How? We have added the following functionality:

  • You can easily add objects from your Web pages to the My Stuff Gallery by holding down CTRL + SHIFT and dragging the image over the Gallery.

  • You can also add grouped objects from your Web page to be added conveniently as a group to other pages later on in your building.

  • You can now delete single images by right-clicking over the thumbnail and choosing Delete.

  • You can rearrange the contents via Drag and Drop.

  • You can drag and drop any image from any application that uses the Windows Clipboard and place it in the My Stuff Gallery. This includes most popular Internet Browsers!

For more details see the My Stuff page.


Button Creation

In Web Studio 2.0 we have added hundreds of new graphics for you to use on your Web pages. Plus, we built a Button Creation tool for you to make your own buttons quickly and easily.

Go to the Button Gallery and you will see the first 7 buttons are waiting for you to make some custom decisions. Choose the style you prefer and drag the thumbnail on to the page. The Windows color dialog will pop up and you can choose whatever color you prefer your buttons to be. Now you can resize, move, copy, and place the buttons at your discretion.

Once you have chosen a color you like simply hold down the CTRL key and drag any of the Button Creation thumbnails and Web Studio will automatically generate that color for you!

And if you want to create a button "set", remember that you can hold down CTRL, click the mouse on the button and then drag the button away. Another button will be sitting there for you. Do this as many times as you need to create a set of buttons.

Making custom buttons was never so easy.


Space and Merge Commands

Two new powerful Web site building commands have been added to the Object menu.

Space Evenly Across/Down

This command allows you to make quick, accurate spacing maneuvers with buttons, photos, signs, etc. This, combined with the Button Creation tool and the Align commands can really achieve great results in no time.

To Space the objects right next to each other hold down CTRL when selecting Space Evenly. Hold down CTRL+SHIFT to space them with 1 pixel between.

Merge Objects

Merging objects does exactly what it sounds like. It takes two or more objects and makes a single object out of them. It is very much like the "Merge Layers" command that is found in Graphics programs.

Of course, the real advantage to this command is making text buttons. By placing text on a button, selecting both the text and the button, and choosing Merge Objects you can create your own personal button sets. Mix your favorite fonts and buttons, merge them and place them in the My Stuff Gallery for future use.

Two important rules to consider when merging.

  1. As in a Graphics program, once you merge the layers you cannot "unmerge" later. You can "undo", but if you were to save your work and reopen you would find the merged object to be a single object.

  2. Remember that when you place a text object over an object the text box can often times be larger than the text itself. Always resize the text box to fit the text snuggly and then merge with a button, sign, etc. This prevents an "off center" link.


Paste as Background

In Web Studio 1.0 you could paste a background from another Web site onto one you were building in Web Studio. Now you can copy any object or series of objects on your page, copy and choose Paste as Background from the Edit menu to create extremely cool backgrounds.

Here are just a few ideas:

  • Type some text, apply any Special FX to it to make it a graphic, copy it and Paste as Background. This is great for team pages, school pages and business pages, etc.

  • Create a series of 3 or 4 buttons. Select them all, align them, space them evenly using the CTRL+ Shift key command to create a gap of one pixel between the buttons and then copy the set. Now, Paste as Background to create a very cool tile effect. Ceramic flooring tile, bathroom tile, and artistic ceiling tile effects are possible.

  • Choose a favorite photo and drag it to the Web Studio desktop. Using the Edit Menu choose Cut. Now Paste as Background. Apply the Lighten Special FX several times to the background and soon the photo will be "atmospheric" enough to make a unique background.


Color Coded Web Safe Fonts

The Fonts in Web Studio 2.0 are color-coded so you can be sure to use "Web Safe Fonts" for your Web pages.

How to use "Web Safe" fonts

When your Web site is posted on the Internet you can be confident that all of your images will appear just as you intended. However, the Fonts, or styles of text, that you used must be "Web safe" in order to be confident that your layout will remain consistent from computer to computer. If you use an unusual font and a visitor does not have that font their computer will select a "substitute" which may or may not look like the one you choose. This could seriously effect your site.

To solve this problem, use only the Fonts that come loaded on any computer using Microsoft Windows. You can now be sure that your pages will look the way you intended them for a vast majority of the viewing public. With Web Studio it is easy to use Web safe fonts. In the Text gallery the following color code will help you greatly.

  • Black = System Fonts (very safe). These will never be substituted.

  • Blue = These fonts are normally shipped with Windows 95. You can be reasonably sure that your visitor will have these fonts on their system.

  • Yellow = Cautionary fonts. These fonts are not as common as the blue and black color-coded fonts so viewers of your Web site might not have them. If they don't, the text will look different. (these are more likely to be substituted). If you want to make sure your text doesn't get substituted then check the "Always convert object into Web page graphic" checkbox in the text object properties "Text" tab.

  • Red = Wacky fonts, less common. These fonts do not contain any information that would let Web Studio come up with a plausible substitution, therefore these fonts are always turned into graphics when uploaded.


New Layout Guides

These features are for the more advanced user. You can now choose to highlight graphics that overlap and text that will be converted to graphics by Web Studio.

Users who want their text to be found by search engines, those concerned with download speed, and those with specific concerns about certain versions of HTML will find these guides very useful.

They can be found in the View menu under Highlight Objects.


My Stuff

The My Stuff Gallery in Web Studio is your space inside Web Studio. Here you can gather and store your favorite graphics from your hard drive, your Clip art and photo collections, the Web, and even from graphics you create in Web Studio! You will find it an indispensable tool for all of your Web site building needs. With it you can make and save text buttons and your own unique page designs. Here is a look at how to use and get the most out of the My Stuff Gallery.

Adding Graphics to the My Stuff Gallery

There are several ways to add graphics to the My Stuff Gallery.

Using the Insert Menu:

1. Click on the My Stuff Gallery tab.

2. Choose Insert > My Stuff Tab graphic.

3. The Windows Open dialog will appear and you can add as many files as you like.

4. To select more than one graphic at a time, hold down the CTRL key and click on several files.

5. To select an entire folder of graphics, hold down the Shift key, click on the first file name and then the last file name and the entire folder will be highlighted.

6. Click Open and the images will load into the My Stuff Gallery.

Right click over the My Stuff Gallery:

1. Click on the My Stuff Gallery tab.

2. Right click over the Gallery and choose Add Files.

3. The Windows Open dialog will appear and you can add as many files as you like.

4. To select more than one graphic at a time, hold down the CTRL key and click on several files.

5. To select an entire folder of graphics, hold down the Shift key, click on the first file name and then the last file name and the entire folder will be highlighted.

6. Click Open and the images will load into the My Stuff Gallery.

Drag and drop directly from your Web Browser:

1. Click on the My Stuff Gallery tab.

2. Align your Web browser window and Web Studio so that you can see both.

3. Drag the image from your Web Browser and drop it into the My Stuff gallery.

Drag and Drop from the Web Studio desktop:

You can add anything from the Web Studio desktop (the area that displays your pages) to the My Stuff Gallery. You can add a group of objects as one graphic or you can add a group of objects as individual objects. This allows you to design a page layout (e.g. a header, sidebar, and footer along with a button set) and save the entire layout for quick addition to your next page. This provides you with all the benefits of HTML Frames without having to do any of the programming.

In addition this allows you to make your own text buttons, and saving them for future use. (See how to make a text button in the Space and Merge page!)

Group added as one:

1. Click on the My Stuff Gallery tab.

2. Select the object or group of objects in the Web Studio page window.

3. Hold down the CTRL + Shift keys and drag them into the My Stuff Gallery.

4. Release the mouse button and the object (or objects) will appear in the My Stuff Gallery.

Group added as individuals:

1. Click on the My Stuff Gallery tab.

2. Select the object or group of objects in the Web Studio page window.

3. Hold down the CTRL + Shift keys and drag them into the My Stuff Gallery.

4. release one of the two keys, either CTRL or Shift, and Web Studio will load the objects one at a time, not as a group graphic!

Paste from the Windows Clipboard:

Any graphic that you can paste to the Windows Clipboard you can paste to the My Stuff Gallery.

1. Click on the My Stuff Gallery.

2. Open another program and copy a graphic to the clipboard.

3. Return to Web Studio and right click over the My Stuff Gallery.

4. Choose Paste.

5. The graphic will be copied to the My Stuff Gallery.

Deleting graphics from the My Stuff Gallery

1. Select the My Stuff Gallery tab.

2. Right click over the graphic you wish to delete.

3. Select delete.

Reordering the My Stuff Gallery

1. You can keep your My Stuff Gallery tidy by dragging and dropping the thumbnails in the gallery. This allows you to reorder the gallery and keep your most used content at the start of the gallery for easy access.

Important Note: The contents of the Web Studio My Stuff Gallery are saved in a native Web Studio file (a file that only Web Studio can read). If you like a graphic you have created in Web Studio, then simply copy it to the Windows Clipboard and save it to a folder for your use in other programs.


Backgrounds

The Background Gallery offers you a wide selection of over 2200 backgrounds to work with. Varying color and patterns provide your Web page with its foundation. Much of the overall tone of the site is determined right here. Be sure to match the background with your overall intent.

Tip: Most Special F/X work on your background. If you like one of our left border backgrounds, drag the "Rotate" Special F/X on it and it will bring the border to the top.

Check out the Paste as Background page for more ideas for backgrounds.


Buttons

Buttons can act as "doors" for your links. They are what the visitor clicks on to go to an anchor on the current page, another Web page on your site, or another Web site on the Internet. Try to make them fit the theme of the page itself. Match a science fiction Web page with science fiction style buttons.

Be sure to read the page about our new Button Creation tool!


Signs

Signs can act as the links, or doors, to the other pages on your site. Or they an be added to enhance visual impact to each page! Have them match the theme of your Web Site. They can also be used to link your site to another Web site that you feel offers your visitor some additional information.


Dividers

Dividers are used to create visual space and organization on your Web pages. Drag one to your page and use it to separate text from photos or one topic from another. Place one above and beneath your page title to create a banner effect. Place one on your page and drag the "Rotate" Special F/X on top of it. This will make the divider go up and down!


Sounds

You can add a variety of sounds to your Web site with the Sound Gallery. Web Studio comes with 300 sound files that range from hilarious to ominous. You can greatly enhance the effectiveness of your Web Pages by adding the right sound bite. Drag and drop a sound file onto an object and when that image is clicked on or the visitor moves their mouse over the object the sound will play. Experiment with the different sounds and see which ones liven up your site.

You can preview the sounds by double clicking on them in the Sounds gallery. They will also "preview" when you drop the sound on an image, including the background!

In addition to the existing sound clips in the program you can add Wav files (digitally recorded audio or sound files) to your Web page very easily. Check out the section on Working With Sounds for step-by-step instructions.

Important Note: When you drop a sound on an object and preview your Web page, the sound becomes resident in the cache of the browser on your system. (The cache is designed to speed up the loading of Web pages by storing elements of a previously visited Web page on your local drive.) Any subsequent attempts to change the sound will work and upload correctly, but when previewed the original sound will be retrieved from the cache and played. There is no work around at this time.


Cool Stuff

The Cool Stuff Gallery is a collection of effects that make your Web pages really spring to life. Clocks, Counters, Slideshows, and Animated Text FX can enhance the inter-activity of your page and let you see how many people are visiting!

Cool Stuff Icon | Description
Last Modified Date | Drag this onto your Web page and a small statement informing your visitors of when you last updated your site will automatically be placed at the bottom of your page.
Add Page Links | By dragging this handy time saver on your page you will place a hyperlink to each of the pages in your Web site automatically. If you have a 3 page Web Site then the list will be PAGE 1, PAGE 2, PAGE 3, or if you have named your pages it will add the page names.
A 30 Day Calender | This calendar displays the entire month, with the current date highlighted.
Add a Search Engine | This allows you to place a search engine on your page. This allows any visitor to your site the opportunity to search the entire Web from your site, using the more popular search engines!
Add the Date | The date will become "live" when the Web site is played or posted to the Web. The exact date will be displayed for your Web page visitor.
Add a Clock | The clock will become "live" when the Web site is built and will display real time for the visitor to your page.
Scrooling Background | Drag this onto your background and it will make your background scroll down when you see your page in Preview or on the Web. NOTE: Only works when viewed in Internet Explorer 4.0 and higher. In Netscape Navigator background will remain stationary.
HTML Object | This allows you to add your own HTML by setting a placeholder on your Web page. After placing the object on your page, right-click over it and choose properties. In the HTML object properties dialog type or paste from the Windows clipboard your HTML or import it directly from your hard disk. When you preview your Web page, the HTML object will be active.
Slide Shows | Double-click on the Slide Show to see the Slide Show gallery. By dragging a slide show onto your page you can present a series of images in slide show fashion for the visitors to your Web site. For more details click here.
E-Mail buttons | This group of E-mail objects makes it extremely easy for you to get E-mail feedback from visitors on your Web site. By dragging any of these objects onto your Web page, you create an E-mail link to your mailbox. When the visitors click on this icon, their e-mail software will start and produce an E-mail with your E-mail address in the "To" box. All they need do is write the letter and click Send! For more details click here.
Animated Text F/X | Double-click here for Animated Text effects. Drag the desired effect onto your page and a dialog box will prompt you to enter your desired text. Click OK and the effect will be in place. For more details click here.

.


Special FX

The Special F/X gallery is an innovative way for you to manipulate your graphics. Dragging an "effect" on to your object will alter the object in accordance with the name of the effect. For example, if you drag ROTATE onto your picture, the graphic will automatically rotate 90 degrees.

Be sure to check out our design suggestions and tips that we have provided later in the manual. These suggestions are a great way to get you started in the area of creative graphic design. Try a few out and soon you will be discovering new ways to make your graphics unique and creating stunning Web pages!

Note: When you add a Special FX to a text object it becomes a graphic. When you add a Special FX to a graphic it loses any transparent settings you may have applied to it previously.

Photo Correction Wizard:

PHOTO CORRECT WIZARD: Drag the camera icon onto a photo or graphic and the Photo Correct Wizard will appear.

Read the introduction and click Next. You will be presented with two options.

1. To "auto correct" the image click on Give it a Try. If you like the results, click Next until the dialog box disappears. If you are unhappy with the results, click Undo.

2. To manually edit the image click Next. A series of slider bars controlling different parts of the image, contrast, brightness, hue, etc. will be presented allowing you to manipulate the image.

At any time you may click Cancel to stop the editing process.

At any time you may click Back to reedit with a specific slider bar.

If you are unhappy with the effect after you have added it to your Web page, click Edit>Undo Special Effect.

Shadow:

This effect places a 3-D shadow behind the image. It is especially useful on text as well as rectangular shaped graphics. The effect works best when using light colored backgrounds.

Oilpaint:

This effect simulates what it would look like if the graphic or photo had been an oil painting.

Paint by Numbers:

This effect simulates what it would look like if the graphic or photo had been a Paint-by-Numbers painting.

Hue:

This effect changes all the colors in the image. It can be applied multiple times and with different color combinations.

Pattern:

These patterns can be applied to graphics and text. For example, the brick pattern simulates the graphic having been painted on a brick wall.

Edges:

Adds various effects to outside of the image or text. Effects here include torn paper, burnt paper, ripped edges, brush strokes and more.

Lighten:

This effect will lighten the text or graphic. You can apply it several times to the same object to increase the effect.

Darken:

This effect will darken the text or graphic. You can apply it several times to the same object to increase the effect.

Add Contrast:

This effect will increase the contrast of the image. You can apply it several times to the same object to increase the effect.

Contrast:

This effect decreases the contrast of the image. You can apply it several times to the same object to increase the effect.

Rotate:

This effect rotates the image 90 degrees. You can apply this several times to rotate 90, 180, 270, and 360 degrees.

Reverse:

This effect reverses the image. This effect can also be called "mirror".

Flip:

This effect flips the image upside down.

Colorize:

This effect allows you to determine an overall tint for the image by selecting a color from the Windows Color dialog.

Emboss:

This effect makes the object look like it was stamped in foil.

Solarize:

Adds the photographic effect called solarization. Some of the image will look normal and some will look like a negative.

Posterize 2:

This effect creates a photographic posterize effect with 2 colors. Reduces the "shades" in the image to simulate a poster.

Posterize 3:

This effect creates a photographic posterize effect with 3 colors. Reduces the "shades" in the image to simulate a poster.

Posterize 4:

This effect creates a photographic posterize effect with 4 colors. Reduces the "shades" in the image to simulate a poster.

Posterize 5:

This creates a photographic posterize effect with 5 colors. Reduces the "shades" in the image to simulate a poster.

Posterize 6:

This creates a photographic posterize effect with 6 colors. Reduces the "shades" in the image to simulate a poster.

Sharpen:

Sharpens or increases the clarity of the image. Can be applied several times to the same object.

Enhance Edges:

Enhances or highlights the edges of the objects in the image.

Gray:

Replaces color tones with gray tones. In effect, it makes a black and white photo.

Invert Color:

Changes light for dark and dark for light. Creates a negative color image.

Color Noise:

Adds small colored dots to the object. Gives the image a grainy or weathered look effect.

Noise:

Adds small black dots to the image. Gives the image a grainy effect.

Blur: Slight blur

Blurs the object slightly.

Blur: Moderate Blur

Blurs the object moderately.

Blur: Significantly Blur

Blurs the object significantly.

Small Mosaic:

Pixelates the image slightly

Medium Mosaic:

Pixelates the image moderately

Large Mosaic:

Pixelates the image significantly

Halftone 1:

Changes image to small black and white dots. Halftone images are similar to those found in newspapers.

Halftone 2:

Changes image to black and white dots. Halftone images are similar to those found in newspapers.


Templates

Sierra Web Studio comes with over 100 ready made Web pages. These pages can be found under the Templates gallery in the Gallery toolbar. 20 of these pages are "style pages" that contain basic Web elements and are waiting for you to add your own photos, graphics and text. The other 80 are complete pages waiting for you to add to your site.

The idea behind the templates is to offer you a broad set of examples to use or be inspired by for your own Web site. You will find examples of personal pages, many styles of announcements, and several small business sites. Templates can be included in any Web site and are used in the following manner.

  1. Click on the Template tab in the Gallery list.

  2. Choose a desired Template by scrolling through the thumbnails.

  3. Drag the one you like onto your Web page. Instantly, a new page will be added to your Web site and a wizard will pop up. Tip: To by-pass the wizard hold down the CTRL key when you drop the template onto your page. The template will be added as is to your site.

  4. The wizard will take you through the design process step-by-step. You will be prompted to add headlines, text, photos, and graphics.

When adding a graphic you will have two "source" options.

1. From File: This allows you to add a photo that is already saved on your hard drive, a floppy disk, or a CD-ROM.

  1. Click on the From File button and the standard Open dialog box will appear.

  2. Navigate through the directories until you find the folder that contains your graphic. Double click on that folder to view the contents.

  3. Locate and double-click on the desired file.

  4. Sierra Web Studio will now add the graphic to your template page.

2. From Scanner: This option allows you to import a graphic using your Scanner and Scanner software.

  1. Click on the From Scanner button.

  2. Highlight your Scanner name in the Select Source box and click Select.

  3. The scanner software will now start.

  4. Follow the directions from scanner manual on how to proceed.

When adding text you will have two "source" options.

1. Manual Entry: This option lets you manually type in the text you want in the provided text box.

  1. Hit your backspace key and erase all of the example text.

  2. Type in the desired text.

  3. Click on the Next button.

2. From File: This option allows you to import a text file from your hard drive, a floppy drive or a CD-ROM.

  1. Click the From File button and the standard Open dialog box will appear.

  2. Navigate through the directories until you find the folder that contains your text file. Double click on the folder to view the contents.

  3. Locate and double click on the desired file.

NOTE: Make sure that your text files are just that, text files. Sierra Web Studio recognizes text files only. It will not recognize Word documents in Word format. Change these files to a .txt or .rtf file. To do this, open the document in Word and go File>Save As and change the Save File as Type option to Rich Text Format or Text Only.

  • When the Web page template is finished go to the page and resize the graphics and text and add the necessary links to connect this page with your existing Web site.

  • Remember that the template page is a new page to your Web site, so it cannot be the only page on your site. You must create a first or Home page to link it to or it will be lost in uploading!


Text

Web Studio allows you to enter, edit, and design text on the fly without the need of a word processor program. You can bold, italicize, and underline all text from within the program. You can also change the color and size as well as add incredible eye-catching effects to your text. This can add some real vim and vigor to your pages. The interface and tools are very similar to a basic word processor program so you will not need to "relearn" the features!

Be sure to read the page about Web Safe Fonts.

When working with text it is good to remember that Web Studio uses the Windows Clipboard extensively. To copy and paste text successfully follow the rules below!

To copy and paste all the text in a text box inside of Web Studio do the following:

  1. Choose the Text Gallery.

  2. Drag a preferred font on to the Web Studio Desktop to create a text box.

  3. Type your desired text.

  4. Click your mouse away from the text box.

  5. Hold down the CTRL key and click on the text box.

  6. Drag the text box away and another text box will have been created!

To copy a selection of text within a text box in Web Studio do the following:

  1. Double-click on the existing text box and highlight the desired text.

  2. Right-click and choose copy.

  3. Right-click over the Web page and choose paste.

  4. Your selection will be added to the page as a new text box.

To copy text from outside of Web Studio do the following:

  1. Highlight the desired text. Choose copy.

  2. Open your Web Studio page.

  3. Right-click over the page and choose paste.

  4. Your text will appear.


Clip Art

Clip-Art is a term to differentiate photos from "graphics". Here you will find a wonderful collection of graphics to choose from. Since graphic files tend to be less complex than their photographic counterparts, you can usually add more graphics and not suffer from extremely long download times.

Again, just drag and drop any graphic onto your Web page and you can resize, reshape, and apply the Special F/X.


Photos

Web Studio offers several folders of beautiful photos to add to your Web pages. Double-click on any folder to display the contents in the Gallery. Many different subjects are included. You can resize and reshape the photos, and once placed on the page you can create cool image effects using the Special F/X gallery.

(Be careful not to add too many photos to any one page. This can result in slow download times for visitors!)


Animated GIFs

Animated GIFs are stationary Web images that simulate motion. The effect is achieved by repeating several slightly altered images to give the appearance of motion. Web Studio comes with hundreds of Animated GIFs to add to your Web pages. These images will look stationary while you are working on the Web site, but when the page is loaded into a browser you will see the animation. To see your GIF come to life, simply place one on a page and click Web>Preview Web Site. When your Web page loads you will now see the animation.

Caution: Adding too many Animated GIFs to your page can result in slow loading time of your Web page. So, for quicker downloads add only a few Animated objects to each page.


Links

Links are what make the Web interactive. By clicking them you can visit other pages, download files to your computer, and automatically send someone e-mail. To add a link to any object drag and drop the name of the link onto the object. A box will appear around the "linked" object to verify your linking. If you drop a link on a background a text object with the name of the link will be created. (Note: If you drop another link on that link the name will not change but the link will!)

Here is a run down of the various links on a Web site:

  • Intrasite Link: This is a link that leads to another page within the site you are visiting. If you construct a 5-page Web site you should place an intrasite link to all 5 pages on your Home page. In addition, each page should have an intrasite link back to the Home page.

  • Intrapage Link: Also called an Anchor. Anchors are used to link sections of a single page together. If you wish to have a "link" that takes your visitor back to the top of the page they have been reading, you should use this effect.

  • External Link: This link will connect you to another Web site. Many Web sites contain a set of "favorite links" to external Web sites. If you have a favorite Web site place a link to it on your page to share it with others.

  • E-mail Link: This is a link that will start the e-mail software on a visitors computer and place a specific e-mail address in the To field in an e-mail.

Note: When you add new pages to your site, Web Studio adds each page's hyperlink to the Links Tab in the Site Links list. To link to another page, simply drag that page's link to the button or text on your page that is intended to take you to that page.

Adding Links to My Links

You can also add links to the My Links sub gallery in four distinct ways.

1. Click on the Link Gallery tab. Go to Insert > My Links Tab link. Enter the title of your link, the URL (or Web address), and a short description of the Web site. Click OK. Your new Link will appear in the My Links list of the Links Gallery.

2. Click on the Link Gallery Tab. Right click over the My Links sub-gallery and choose Add Link. Enter the title, URL, and a short description of the Web site. Click OK. Your new Link will appear in the My Links sub-gallery of the Links Gallery.

3. Drag a link from the Internet Explorer favorite list and drop it on the My Links list.

4. Drag a link directly from a Web page being viewed in Internet Explorer.

Organizing, Editing, and Deleting links in the My Links list

When you right click over the My Links list in the Links Gallery you will several options.

Copy: Allows you to copy the Link information to the Windows clipboard. This allows you to take Links from your various Favorites and place them in your My Links list.

Cut: Removes the link from you're My Links list and places it on the Windows clipboard.

Paste: Places any link info on the Windows clipboard in the My Links list.

Delete: Permanently removes the link from the My Links list.

Move Up: Allows you to move the link up the list.

Move Down: Allows you to move the link down the list.

Add Link: Allows you add a link to the list by filling out a Add Link dialog box that contains three fields.

  1. Enter Title: This is the name that will display in the My Links list.

  2. Enter the URL: Place the Web address for the link here.

  3. Enter Description: Allows you to enter some info about the link that will display when you double click over the link name.

  • Tip: You can add an e-mail link to this list so that you can drop your e-mail address on any object, including text. To do this Erase the HTTP:// in the URL box and type mailto: followed by your e-mail address. The "Mailto:" prefix will start your visitors e-mail program and place your address in the "To" field, making it easy for someone to send you e-mail

Edit Link: Allows you edit the information about the highlighted link.

Add Anchor to Object

Anchors are used to link sections of a single page together. If you wish to have a "link" that takes your visitor back to the top of the page they have been reading, you should use this effect. Click here for an example.

Here is how you do it:

  1. Add the Icon you wish to use for the target on the top of your page.

  2. Click on the Links Gallery.

  3. Drag the Add Anchor to Object link to the Icon and drop.

  4. A dialog box will now ask you to enter a title and description of this anchor.

  5. Type "top of page" in title; enter anything you wish in description.

  6. Place an Icon on the very bottom of your Web page.

  7. From the Links Gallery drag the "top of page" link to the new Icon and drop it.

  8. Preview your Web page by pressing F5.

  9. Scroll down and click on the Icon at the bottom of the page.

  10. Your browser will automatically jump to the top of the page.

Adding an E-mail link to text.

  1. Open you Web page in Web Studio and click the Link tab.

  2. Go to Insert>Add my own link.

  3. Name your link "My E-mail" or whatever you decide.

  4. For the Link URL, erase the http:// part and enter mailto: followed by your e-mail address. Example, mailto:Webstudio@sierra.com.

  5. Click OK. The link will now be in the "My links" window.

  6. Single click on your body of text and highlight the words you wish to "link" via e-mail.

  7. Drag the My E-mail link from the Link tab to the highlighted word(s).

  8. Preview the Web site and check your link.

  9. If the link does not work, try the procedure again.


Format Toolbar

Button | Purpose
Font Name | Lists the name of the font currently selected.
Font Size | Lists the size of the font currently selected.
Bold | Allows you to Bold selected text.
 | Allows you to Italicize selected text.
Underline | Allows you to Underline selected text.
Text Color | Allows you to change the color of selected text. Displays the Windows Color dialog box.
Left Justify | Places the selected paragraphs to the left margin of the text box.
Center Justify | Centers the selected paragraph in the text box.
Right Justify | Places the selected paragraph in the right margin of the text box.
First Line Indent | Indents the first line in your paragraph.
Hanging Indent | Indents all lines except the first line in your paragraph.
Paragraph Indent | Indents the entire paragraph.


Main Toolbar

Button | Purpose
Cut | Cut will place the image or text you have chosen to the Clipboard and remove it from the page you are working on.
Copy | Copy will place a duplicate of the image or text that you are working on to the Windows Clipboard, allowing you to paste it into another Web page or another program.
Paste | Paste will place the item you have placed on the Windows clipboard on the active page on your screen. You can paste multiple copies of your image or text simply by right-clicking and choosing paste multiple times.
Undo | Undo your last action. The menu text will specify what is being "undone". This feature has no limit, so you can undo all of your actions right up to the point you opened the Web site.
Redo | This will undo your undo! The menu text will notify you what is being "redone".
Bring to Front | This moves the selected item to the top layer of your Web page.
Send to Back | This moves the selected item to the bottom layer or your Web page.
Bring Forward | Moves the selected object one layer forward.
Send Backwards | Moves the selected object one layer backward.
Sound Off/On | When on (depressed icon) the Web Studio sounds will play when you double click on them in the Sounds gallery and when you drag and drop a sound on an object. When off the sounds will not play.
Preview Web Site | When pressed your Web site will be built and displayed as an active Web site within the Web Studio Web browser. Allows you to check your links, animations, and page layout.


Web Toolbar

This toolbar will appear automatically when you preview your Web site by choosing Web>Preview Web site.

Button | Purpose
Preview your Web site! | Previews your Web site on your Hard drive.
Go To | Opens the URL dialog on to the screen. From here, you can type in any URL and visit another site.
Back | This takes you back to the previously viewed Web page.
Forward | Advances you to the next Web page.
Refresh | Reloads the current page into the browser.
Stop | Stops the current Web page from loading into the browser.


Page List

The Page List will help you manage your Web site. Here you can add, delete, and rename pages. In addition, the Site Properties button will make global adjustments to your Web site.

Adding Pages to your site

When you begin a new Web site, the Page List will display "Page 1". This is the first page and will act as the Home page when you view your Web site. (The Home page is the first one that a visitor will see when visiting your site.) When you want to add a new page to your site click the Add Page button and a new window will appear in the Web Studio workspace and a new page will appear in the Page List. In addition, a new Link will appear in the Site Links list in the Links Gallery.

Renaming Pages

To change the name of a page, simply click on the Page's name in the Page List to highlight it. Then click again to edit the name. Type the new name and then press return. Web Studio changes the page's name in the Page List, the Window's title bar, the Window's menu and in the Links Gallery and in any links you've added to your Web site.

Note: These names appear in the title bar of a Web browser.

Deleting Pages

If you want to delete a page from your Web site, select the page so it is the active page and then hit the Delete button. You will be asked if you want to delete this page and that the action is final (you cannot undo a Delete page!). If you are sure, click Yes. If you don't want to click Cancel.

Site Properties

The Site Properties button allows you to make global adjustments to your site. Each Web site you construct will have properties associated with it. These properties will all effect the way your Web site is constructed, loaded, and viewed on the World Wide Web. You can edit these properties at any time by clicking the Site Properties button. There are three tabs of information for the Site Properties.

General Tab:

  • Page Settings: These refer to the specific page layout your site will have while working in Web Studio. They are layout tools or guides.

  • Minimum Page Size: This is the size of your visible Web page in Web Studio. The default values, 576x720 pixels, are a visual aid to help you layout your pages in the most compatible way as is possible. There are several screen resolutions that visitors to your site may use, so it is best to design for the smallest "standard" size to ensure each visitor will get the most out of your site.

By increasing the height of your Web site you increase the up down size of your Web page, which will require the visitor to scroll up and down your Web page. The same holds for the width, by increasing the number in the Width box you increase the amount of left/right scrolling a visitor must do.

To see this feature in action, drop a dark background onto your page, choose Site Properties and then change the Left-Right value to 1000. Click OK and you will see the background now takes up more Left-Right space in Web Studio. (Note: You can also achieve the same effect by placing an object outside of the visible background. Web Studio will automatically bring the extra area into view.)

DESIGN TIP: Ideally you do not want the page to require much scrolling. If you have additional content simply add another page to your site. And always, always avoid designing a page that requires Left-Right scrolling.

  • Automatic Page Resize: You can control the margins or space between the right, left, top and bottom of your browser frame and the Web Site you construct. Any time you drop and object within the specified margin Web Studio will automatically resize the page, and place the object at the beginning of the margin. The default value is 18 pixels. By increasing this number you increase the size of the margin. By decreasing the number you decrease the margin. The minimum value is 8 pixels.

  • Link Colors:

  • Standard Link Color: Color used for unvisited links within your Web Studio Web site.

  • Visited Link Color: Color used for visited links within your Web Studio Web site.

Web Search Information (or Meta Tags)

"Web Search Information" is Web Studio's way of placing vital information about your Web site in a place that Search engines can find it. By filling out these property boxes, "Meta" Search Engines will be able to "find" your Web site and post it in it's search results.

  • Web site's Author(s): Place your name here. This will show up in the HTML source code on the Web as a Meta Tag. You can see it by viewing your page on the Web and choosing View>Source in Internet Explorer and View>Page Source in Netscape Navigator.

  • Description: Include a brief description of your site in this box. Again, this will show itself in the HTML source code of your Web page as a Meta Tag. This is what the various search engines will display as information about your Web page and or site. So, give a few clear details about your site.

  • Key Words: When a search engine looks through all of the thousands of Web sites that exist on the Internet it is the "key words" that it is actually looking for. So, if your site is about rose gardens type "Roses" and "Gardens" as your key words. This is one way that your Web site will be found by a search engine.

Note: The two best ways to get your site to appear in the various Internet Search Engines are:

1. Fill in all the above properties as thoroughly as is possible. This will produce first rate Meta Tags.

2. Register directly with the most popular Search Engines. In the same way you notify the Post Office when you move, it is a good idea to "submit" or "suggest" your site to the various Search Engines on the Web. For detailed information, check out the home page of any popular Search Engine.

Advanced

  • For transparent and index colored Graphics: This tells Web Studio which graphic format to use for non-JPEG files.

  • Use Graphic Interchange Format (.GIF) files: GIF files are a current standard on the Web. Along with JPEG files, GIF's are the dominant standard on the Internet because of their clarity and small size.

  • Use Portable Network Graphics (.PNG) files: PNG files are an emerging standard. This choice is included to keep Web Studio contemporary as the standards evolve on the Internet.

Note: As of press time all browsers do not support PNG files.

When Creating Your Web Site's Pages: Which version of HTML you decide to use impacts the way your pages are laid out on the Web. For some design specifics read each option.

  • Use HTML 3.2 only: Choosing this option will result in Web Studio generating the Web site in version 3.2 of HTML only. HTML 3.2 does not allow overlapping images and this may come in handy if you find your Web site crowded by pre-existing banners on free Web sites. If this is happening to you, try building in HTML 3.2 only and re-upload to the Internet.

  • Use HTML 4.0 only: Choosing this option will result in Web Studio generating the Web site in version 4.0 of HTML only. The major advantage to HTML 4.0 is that it allows for the stacking or overlapping of images. You will find this produces a very clean Web page. If you are experiencing problems with transparency, and you have already turned off the transparent option for the graphic, try building the Web site in this format and re-upload it to the Internet.

  • Use both HTML 3.2 and 4.0: Choosing this option will result in Web Studio generating the Web site in versions 4.0 and 3.2 of HTML. This is the default setting for any Web site that you build and ensures the greatest compatibility with your Web site and your visitors browsers.

  • Suppress JavaScript error messages: This will prevent JavaScript error messages from popping up on your Web sites. Many browsers are not JavaScript ready and any site that contains a JavaScript can cause a stream of error messages. This option causes the JavaScript to quietly go away and allow your visitor to enjoy the rest of your site.

When Uploading your Web site:

  • Place this Web site in a folder: Places your entire Web site in a sub folder. This is the desired setting if you are planning on sending the site to your hard drive or a network computer.

  • Place this Web site as the root Web site: Chose this option if you are sending your site to the Internet.


File

  • New: This will prompt you to save your current Web site, if necessary, before opening a new Web site. It will create a new one-page blank Web site for you to begin construction.

  • Open: This will prompt you to save your current Web site, if necessary. From here you can open a previously constructed Web site from your hard drive.

  • Close: Prompts you to save your currently open Web site. If it is the first time you are saving the file, you will be asked to name your file. Click Cancel if you don't want to save the site.

  • Close Window: Closes the current active window. The window can be reopened by clicking on the name of the page in the Page List Toolbar or the Window Menu.

  • Save: Saves the current Web site. The Save As Dialog Box will launch if this is the first time you are saving the file. If it is a "resave," you will not be prompted to name the file.

  • Save As: Saves the current Web site under a different file name. Launches the Save As Dialog Box. This is a good way to save a backup of your important Web site to a floppy disk or folder on your hard drive! Give the file an alternative name to make a back up. For Example: Mysite would become Mysite1.

  • Save Web Page as Graphic: This command allows you to save the entire page as a Windows bit-map (BMP) file.

  • Save Web Site to Internet: This command does two things. First, it builds your Web site in HTML code. Second, it launches the FTP program that will upload your files to the World Wide Web. For detailed instructions on uploading your site, see chapter V "Saving your Web Site to the Internet".

  • Save Web Site to Hard Drive: This command allows you to "post" your site on your hard drive or in a network folder. This provides you with a convenient way to build, browse, and archive your site on your computer or a network that you are connected to.

  • New Page: Adds a new blank page to your Web site.

  • Delete Page: Deletes the current page from your Web site.

  • Print Setup: This command brings up your printer software and allows you to make basic printer adjustments such as paper-size, orientation, and paper source.

  • Print Page: This command allows you to print your current Web page. This is a nice addition to any company information sheets, family letters, or if you just wish to check out the layout of your pages.

  • Site Properties: Displays the Site Properties box.

  • Quit: Closes the program. If you have an open Web site, you will be asked if you want to save the current document. If you do, click "Yes", if you do not, click "No". Web Studio will now shut down.


Edit

  • Undo: Undo your last action. The menu text will specify what is being "undone". This feature has no limit, so you can undo all of your actions right up to the point you opened the Web site. In addition, each page you are working on maintains its own undo list. So, switching between pages will not effect the undo list for each page.

Note: As the Undo list grows, the amount of computer memory required grows. For this reason it is a good idea to save your site as you go. Each time you save your site memory is freed up, and the Undo list is erased. So, use it when you are happy with your site and your system should perform a bit faster as a result.

  • Redo: This will undo your undo! The menu text will notify you what is being "redone".

  • Cut: Cut will place the image or text you have chosen to the Clipboard and remove it from the page you are working on. This is not limited to one object. By holding down the Shift key and selecting several items, you can cut and paste several items at once! Check out more great ideas in the Tips and Tricks section.

  • Copy: Copy will place a duplicate of the image or text that you are working on to the Windows Clipboard, allowing you to paste it into another Web page or another program.

  • Paste: Paste will place the item you have placed on the Windows clipboard on the active page on your screen. You can paste multiple copies of your image or text simply by right-clicking and choosing paste multiple times.

  • Paste as Background: Allows you to paste the selected image as your background.

  • Clear: Clear will delete the image or text from the page. To undo Clear, simply choose Edit>Undo Clear.

  • Select All: Select All selects every item on your Web page including text, graphics, and photos. This allows for a group move or a group cut or copy.

  • Check Spelling: Activates the Web Studio Spell Checker. In order to check the spelling of any text object, the text object must first be selected! (This option will be greyed out until a text object is selected.)


View

  • Galleries: You can turn the Galleries on and off (displayed and not displayed) by adding or removing the check next to "Galleries". This comes in handy if you wish to view the entire Web page that you are working on. Click the View menu and select

  • Page List: You can turn the Page List on and off (displayed and not displayed) by adding or removing the check next to "Page List". The Page List is on the right side of the screen and allows you to see and select the Web pages on your site via a simple click on the desired page.

  • Main Toolbar: The check mark indicates the status of the Toolbar. The Toolbar is displayed directly above your Web page. It contains buttons that enable basic editing and Web page building functions. For a full graphical breakdown of the Toolbar and what it does, refer the section devoted to building your Web page "Using the Toolbar" or check out the program Help files by going Help>Web Studio Help.

  • Format Toolbar: You can turn the Format Toolbar on and off (displayed and not displayed) by adding or removing the check next to "Format toolbar". The Format Toolbar is used to Format any text you add to your Web pages.

  • Status Bar: The Status Bar allows you to move your mouse cursor over items and have information about that item to be displayed in the status bar at the bottom of the window. Again, you can turn the Status Bar on and off (displayed and not displayed) by adding or removing the check next to "Status Bar".

  • Small Thumbnails: You can choose to view large thumbnails or small thumbnails in the Galleries by choosing this command. A check mark indicates small thumbnails and no check mark will indicate large thumbnails. Large thumbnails is the default setting.

  • Play Sound: By default a sound is played when you double click on a sound in the Sound gallery or when a sound is dropped on an object or the background. You can turn this feature "off" by un-checking this option.

  • Highlight Objects: While you design your pages, Web Studio can notify you of the status of an object by having the object display a colored box when it is effected by your design. Each of these options are turned off or turned on by clicking on them with the mouse. A check mark will notify "turned on".

  • No Highlighting: Checking this option shuts off all of the other options.

  • With Sounds: This displays a colored box around any object that has a sound associated with it. To turn this feature off, go to View > Highlight Objects> Show sounds and click your mouse.

  • With Links: This will either hide or display the link boxes that surround any icon, sign, button, photo, or text that has had a link added to it. When the check mark is visible, there will be a colored box around the graphic. (To change the color of the link box, see the chapter on Link Properties.)

  • That Overlap: Any objects that overlap on your pages will automatically be merged into a single graphic when you preview or post the Web site when using HTML 3.2. This is done to retain your desired layout. However, for those who would rather not have this "conversion" take place, this can help alert you to overlaps of objects.

  • Text Objects Converted to Graphics on your Web page: When using uncommon fonts (those listed in yellow or red in the Text gallery) Web Studio will convert the text to a graphic to retain the design integrity of your pages. If you would rather the text not be converted place a check mark here and a box will appear around all text that is going to be converted. You can then alter your layout to prevent the overlapping from occurring. Also, do not use HTML 3.2 when building your site. (See Site Properties for info on HTML 3.2)


Insert

  • Text from File: Starts the Windows Open dialog and allows you to import a text file to your page.

  • Picture from File: Using the Windows Open dialog, allows you to import a graphic file to your page.

  • Picture from Scan: Utilizing you scanner software, it allows you to scan a photo into the program for use on your Web page. Compatible with any TWAIN device such as Digital Cameras, etc.

  • Background from File: Using the Windows Open dialog, allows you to import a graphic file as your background.

  • Background from Scan: Utilizing your Scanner software, it allows you to scan a graphic into the program for use as your Web page background. Compatible with any TWAIN device such as Digital Cameras, etc.

  • Sound from File: Allows you to import a sound file to a selected object using the Windows Open dialog.

  • My Link Gallery link: Allows you to add a URL hyperlink to you're My Links folder in the links gallery. Any valid URL can be used, including FTP, HTTP, and Mailto.

  • My Stuff Gallery graphics: Displays the Windows Open dialog which allows you to add files from your Hard Disk or CD-Rom to the My Stuff Gallery. Files are added one at a time, so if you wish to add more than one at a time do the following:

To add several files in one folder, hold down the CTRL key and click on each file name you wish to add. Click OK and all the files will be added to the My Stuff Gallery.

To add an entire folder of files, hold down the Shift key and click on the first and last file in the folder. They will all be highlighted and then click OK. All the files will be loaded into the My Stuff Gallery.


Format

  • Font: Allows you to alter the selected Text on the page. Displays the standard Windows Font dialog box.

  • Text Background Color:

  • Transparent Text Background: Default option. Text uses the Web page background.

  • Text Background Color: Allows for a colored box to be placed behind the text.

  • Text Color: Changes the color of the selected text.

  • Left Justify: Places the selected paragraphs to the left margin of the text box. If no text is selected it will justify only the paragraph that has the cursor blinking in it. If text is selected it will justify all paragraphs that are part of the selection.

  • Center Justify: Centers the selected paragraph in the text box. If no text is selected it will justify only the paragraph that has the cursor blinking in it. If text is selected it will justify all paragraphs that are part of the selection.

  • Right Justify: Places the selected paragraph in the right margin of the text box. If no text is selected it will justify only the paragraph that has the cursor blinking in it. If text is selected it will justify all paragraphs that are part of the selection.

  • First Line Indent: Automatically indents the first line in your paragraph. Text must be selected.

  • Hanging Indent: Indents all lines except the first line in your paragraph. Text must be selected.

  • Paragraph Indent: Indents the entire paragraph. Text must be selected.


Object

  • Transparent: Changes the transparency of an object. When transparent, the object appears to be floating above the background.

  • Transparent Color:

  • Transparent White: Default. Any white in the object is transparent.

  • Choose Color: Allows you to change the transparent color.

  • Align Left Sides: Aligns two or more objects on the left side. Similar to a Snap to command. To select two or more objects hold down Shift and select each object with the Mouse. Aligns to the left most object.

  • Align Right Sides: Aligns two or more objects on the right side. Similar to a Snap to command. To select two or more objects hold down Shift and select each object with the Mouse. Aligns to the right most object.

  • Align Tops: Aligns two or more objects on the top. Similar to a Snap to command. To select two or more objects hold down Shift and select each object with the Mouse. Aligns to the top most object.

  • Align Bottoms: Aligns two or more objects on the bottom. Similar to a Snap to command. To select two or more objects hold down Shift and select each object with the Mouse. Aligns to the bottom most object.

  • Space Evenly Across: Spaces out the selected objects evenly from left to right.

  • Space Evenly Down: Spaces out the selected objects evenly up and down.

  • Make Equal Size: Makes the selected objects the same size. To select two or more objects hold down Shift and select each object with the Mouse. Resizes to the first object selected.

  • Merge Selected Objects: Merges selected graphics into one graphic. Similar to merging layers in graphics programs.

  • Bring Selected Object to the Front: This moves the selected item to the top layer of your Web page.

  • Send Selected Object to the Back: This moves the selected item to the bottom layer of your Web page.

  • Move Selected Object Forward: Moves the selected object one layer forward.

  • Move Selected Object Backward: Moves the selected object one layer backward.

  • Remove Link: Removes the Hyperlink from the selected object.

  • Link Info: Gives detailed information about the object link.

  • Remove Sound: Removes sound file from the selected object.

  • Remove Background: Removes the current background from your current Web page. Background will return to default white.

  • Object Properties: Displays the object properties box.

  • Page Properties: Displays the page properties box.


Web

  • Preview Web Site: This command builds then previews your Web page in the Web Studio browser, giving you an exact replication of your site. Here you can see how the site will work on the Web. You can check for broken links, missing links, and any layout inconsistencies.

  • Back: This takes you back to the previously viewed Web page.

  • Forward: Advances you to the next Web page.

  • Stop: Stops the current Web page from loading into the browser.

  • Refresh: Reloads the current page into the browser.

  • Back To Preview: Returns you to the first page of the previewed Web site from current Web page.

  • Go To: Opens the URL dialog on to the screen. From here, you can type in any URL and visit another site.


Window

  • Cascade: Choosing the Cascade command will arrange your windows in a cascading or descending fashion with the "active" Web page (the one you are working on) in front.

  • Tile: Choose Tile and any open Web pages you are working on will "tile". This is a nice way to see all of your pages at the same time.

  • Page Number or Name: This will list any pages open in Web Studio. Clicking on the name of one will activate that page. The check mark will signify which window is currently open.


Help Menu

Help

  • Web Studio Help: Runs the program Help files.

  • Getting Started: Runs the Multimedia Tutorial from the Web Studio CD.

  • Web Studio Feature Guide: Runs the Feature Guide tour in the Help files.

  • Tip of the Day: Starts the Tip of the Day.

  • Official Web Studio Web Site: If not connected to the Internet this will start your browser software and will connect to the Official Web Studio Web site.

  • Web Site Services: This link will take you to an online page with many great deals availible from the many Web Studio partners. Part of the Sierra Web site.

  • Web Studio FAQ: This will link you to our FAQ online page.

  • Sierra On-Line Support: This link will connect you directly to Sierra On-Line's Tech Support Web page.

  • About Web Studio: Tells you the names of the people who helped make Web Studio happen.


Feature Guide

Next

Welcome to the Web Studio Feature Guide!

To properly view this tour, resize this window so you can see the "Next" arrow in the upper right.

This "tour" will give you some examples of Web
Studio's ease of use and its powerful potential.


Introduction

Web Studio is an
innovation in the world of
Web Site construction and
design. With Web Studio
you can drag and drop
your way to a professional
web site.
Next
Previous
This tutorial will give you a
quick overview of Web
Studio, teaching you how to
create, edit and upload your
finished Web site to the
Internet.


Web Studio Desktop

Previous
These tabs contain most of the objects
you'll use to create your web sites --
templates, text, graphics and graphics
effects, animations, sounds and
hyperlinks.
Web Studio's Desktop
Next


Toolbar & Status Bar

Previous
The toolbar's buttons offer quick access to functions used most often during
page creation and editing.
The status bar at the bottom of the screen displays helpful messages and tips when
you place your mouse over something on the Web Studio Desktop. (Remember you
may have hid both of these at the beginning of the tutorial.)
Next


The Page List

Previous
Go to a page by clicking
on a Page's name.
Click to add pages to
your web site.
The Page List
The house icon indicates your Home Page, or
the first site someone sees when they come to
your site. To make a page (other than the first
page) your home page, right click with your
mouse on the page's name in the Page List.
Click to Delete a Page
Change the name of a page by
clicking on the Page's name in the
Page List to highlight it. Then click
again until there is a solid box
around the name. Type to edit the
name.
Click on the Site Properties button
to make global adjustments to
your site.
Next


Adding Backgrounds

Adding a Background to Your Page
Previous
Click the mouse on the background of your choice, press, and hold the mouse button
down while you Drag the mouse down into the page's window. Let go of the mouse
button to Drop the background to your page. Web Studio automatically tiles the
background on your page.
Next


Viewing Backgrounds

To see more backgrounds or other
items in a Gallery Tab, click on the
arrows on the scroll bar in the Tab.
Additional items will scroll into view.
Double click on one of the backgrounds
that has a yellow folder icon in it to see
more backgrounds that are similar to the
one you double clicked on.
Previous
Next


Using Backgrounds

Next
Previous
Drag the multi-pane background onto
the page to choose any solid color as
your background.
Return to the top level by clicking on the Close Folder icon in the upper left corner of
the tab.


Web Studio Objects

Next
All graphics in Web Studio are considered objects.
To add an object, drag it from one of the Gallery Tabs
and drop it in your Web page. You can move the
objects around the page, resize, stack them on top of
each other and perform special visual effects to them.
To move an object, you simply click on it and drag it
to its new location and release the mouse button.
Previous


Hue Buttons

Next
Previous
Click on one of the color wheel buttons on
the upper left of the tab to change the color
of all graphics in a Gallery tab. If you want
to return the gallery graphics to their
original color, click on the first button in the
row.
Changing the Colors of Graphics


Selecting Objects

Next

Previous

To change the size of any object on your page, make sure it is selected, then move the mouse over one of the handles, click on it and hold the mouse down while dragging the cursor.

Selecting and Resizing Objects

Click on an object. You'll see a number of small black boxes on the corners and around the edges of the object. These are called handles.

Click on the background of the page to remove the selection.


Resizing Objects

Next

Previous

Drag a center handle to resize it in
one direction

Drag a corner handle to resize it
without distorting the object.


Using Special FX

Use the Special F/X Gallery tab to add special visual effects to your web page graphics. Adding one of the many special effects to a graphic or to text is as simple as adding a graphic to your page, just drag the Special FX directly onto your object. Try adding a Special F/X edge by dragging an edge effect on top of an object and dropping it.

Next

Previous

Special F/X


More Special FX

For a detailed description of the Special F/X check out the on-line help by going to the Help menu and choosing Web Studio Help. There is no limit to the number of effects that you use on any given graphic. Use "multiple effects" on graphics and text to get really exotic looking results. If you don't like an effect, simply use Web Studio's Undo command found in the Edit menu.

Next

Previous


Text Gallery

Click on the Text Gallery Tab. Web Studio comes with several decorative alphabets for you to use. In
addition, all of the fonts on your system will be at your disposal. Drag and drop a font onto your page
just like you would any object. A text object is created where you dropped the font. Type into the text
object. To edit a text object, you simply double click on it. To apply changes to individual words or
letters in a text object, select the text and click on the any of the font buttons to change the style, color,
or size.
Next
Previous


Sounds

Next
Previous
Web Studio's Sound Gallery contains many categories of sounds you
can add to your web pages and your page's objects. The Sound Gallery
works just like everything in Web Studio, select a sound and drag it
onto the background or onto the object you want the sound associated
with. You will know an object has a sound because it will have a green
box around it. Preview a sound by double clicking on the name of the
sound in the Gallery or on the object you have dragged a sound on to.
The Sound Gallery


Links

Hyper-Links make the World Wide Web what it is. Clicking on a
linked object or text on your web pages instantly takes a viewer to
another part of your page, of your site, or to another site somewhere
else on the Internet. To add a link, drag and drop a link onto an
object on your page. You will know something is linked because an
object will have a colored box around it (the red box will disappear
when your page is viewed on the Internet). If you decide to change
the link in an object, simply drag and drop a new one on the object.
Next
Previous
Links


More Linking

If you want to link to specific words, double click on a text object and then highlight a
word. Now drag a link from the Link Tab and drop it on a word in your text. The word
is underlined and its color changes. You can also drag a link onto a text object and it
will link every word in the entire text object.
More about Linking
Hockey
Next
Previous


Linking Pages

When you add new pages to your site, Web Studio adds each
page's hyperlink to the Links Tab. To link to another page, simply
drag that page's link to the button or text on your page that is
intended to take you to that page.
Next
Previous
Linking Pages


Insert Menu

With Web Studio, you can add your own graphics, connect to
a scanner, import Photo CDs, images from Digital Cameras and
other devices. Here you can choose to import graphics from
your hard drive or a scanner.
Next
Previous


My Stuff Gallery

The My Stuff Gallery in Web Studio is your space inside Web Studio. Here you can gather and store
your favorite graphics from your hard drive, from your Clip art and photo collections, from the Web,
and even from graphics you create in Web Studio!
Next
Previous


Cool Stuff

Cool Stuff is stuff that you can drag
and drop onto your Web Page to
give it some life. Experiment with all
of the effects, but here are a couple!
Next
Previous
Cool Stuff
Cool Stuff won't be cool
until you preview your web
page. Click "Next" to learn
how to Preview your web
site.
Drag and drop today's
date onto your page


Preview Web Site

Want to see what your site will look like on the Web? At any time you can
preview your Web site in the Web Studio browser window. In the Web menu,
select Preview Web site, click on the Preview button on the toolbar, or press F5
on your keyboard.

Many items you put on your web page will not be fully visible until you
preview your page, such as Cool Stuff and Animations.
Next
Previous
Preview Your Web Site


Start Uploading

When you're ready to upload your Web Site onto
the Internet, go to the File menu and choose Save
Web Site to the Internet.
Next
Previous


Finish Uploading

This dialog requires a few items that your
Internet Service Provider or Web site host
gives you. Consult with your ISP or Web
site host for the information.
Type the Host FTP Address, the Host
Directory (if required), your User ID and
your password then press Enter.
Web Studio will then connect to the
Internet and post your site.
For help posting to the web including free
sites, check out Sierra's Web Studio Post
page.
Previous
Next


Web Studio Online!

Previous

Have fun creating Web sites in Web Studio and be sure to visit us online at the Official Web Studio Web site!


Files

Managing Files in Web Studio

Web Studio saves your Web sites in two distinct ways, one that Web Studio can understand, and one that Web browsers can understand.

Saving OWS Files (or Web Studio Documents)

Web Studio saves its own record of your Web site called an .ows file. This file contains all the information about your Web site, much the same way a blue print to your house contains all information about how your home is put together. This .ows file can only be read by Web Studio and is necessary when you want to re-open your Web site for editing.

Saving your file on your hard drive.

  1. When you are satisfied with your Web design, or you are ready to quit working on the project, go to File>Save.

  2. At this point the Windows Save dialog will appear. You can now decide where you wish to store your file.

  3. Web Studio uses the file extension .ows for its Web sites. The program attaches this extension automatically so all you have to type is the name you prefer and click Save.

  4. Navigate through the files into the Sierra folder. Double-click on the Web Studio Folder.

  5. If this is your first Web site, make a folder called "Web Sites" in the Web Studio folder. To do this click on the yellow folder with the asterisk on it, which will create a new folder, and type any title you want for Your Web sites. Once created double-click on the folder.

  6. Now, with the Save In box citing My Web Sites click Save. The path to your Web sites will now be C:\Sierra\WebStudio\WebSites.

When you build future Web sites save all the .ows files in this folder. This is a very good way to keep your files organized. On the notes page in the manual, write down the name of the folder you created, and you can be assured you will always find your sites.

Saving your file under another name. (Making a Backup)

  • By using File>Save As, you are saving your Web site under a different name. There are two very good reasons for doing this.

  • It provides you with a back up. Don't ever underestimate the value of a good backup of your Web Studio Web site file. If you have invested a lot of time and energy into your Web site you do not want to be dependent on just one copy of the file. Just as you make back ups of important files at work or at home, always make a back up of your frequently used Web sites.

  • If you find that your Web site file has gotten very large, saving it as a different name will significantly reduce the size of your file, sometimes by more than half of its original size.

Saving Web Ready Sites (Web Studio generated HTML)

When you are ready to create a Web ready Web site Web Studio takes all the information from the .ows file and generates HTML, (the standard Internet Markup Language that Web browsers understand) and sends this ready made Web site to the location of your choice be it your Hard drive, a Network drive, or the Internet.

Save Web Site to Internet

  1. Before you load your site to the Internet, make sure you have checked it out with the Web Studio browser and that It is functioning properly.

  2. Chose File>Save Web Site to Internet.

  3. Web Studio will now build a copy of your Web site in HTML.

  4. For an inside look at the HTML in the Web site folder read the section on HTML in Advanced Usage.

  5. The Save Web Site to Internet dialog box will now appear.

Save Web Site to Hard Drive

  1. This allows you to save a Web ready copy of your Web site on your Hard drive.

  2. Chose File>Save Web Site to Hard Drive.

  3. Choose a location for your Web site to be saved.

  4. Name a folder for the Web site.

  5. If you wish to preview the site once built put a check mark in the Test Web Site after Saving.

  6. Click Save to save.

  7. Web Studio will now build a copy of your Web site in HTML.

Preview your site with the Web Studio browser.

  • At any time during the Web site building process you can instantly view your Web site utilizing the Web Studio browser. This is a great way to see how your site looks and how well the pages interact with each other. If you have any "broken" hyperlinks you will discover them in the Preview mode.

  • To run the site in the Web Studio browser go to Web>Preview Web Site. Alternately, you can simply press the F5 key.

  • One way to determine that you are looking at the Web site preview is by checking the title bar on the top of the Web Studio window. It will now say ("Page Title"-Play 1). Play will indicate that your Preview is being played. In addition, the Web toolbar will be visible.

  • Check out your links, your layout, see how the Animated GIFs work, if you are using them, and make sure your text looks and reads correctly. This is the finished product; any mistakes here will be mistakes on the Internet, so check everything closely.

  • To leave the Preview window you can do one of two things. First, you can go File>Close Window. Second, you can click the close window button in the upper right hand corner of the active window.


Concepts

Web Studio Objects

Web Studio allows you to design Web pages quite unlike other Web authoring programs. With Web Studio the design process is primarily drag n drop. Because of this you can manipulate objects on your page differently (easier!) than in other programs.

Here are the two major differences:

1. You can position objects anywhere on the page you wish.

2. You can overlap objects or stack objects on top of one another.

Positioning Objects

Each page element that you drop onto your page is a unique object. These objects can be moved around the page, resized, stacked on top of each other, aligned with others, etc. It is just like having a deck of cards on your desktop.

Overlapping Objects

Another "rule" of the Web is that objects on a Web page cannot overlap. Web Studio takes care of this rule for you as well. You can overlap or stack objects in any Web Studio page. Web Studio figures out what to do to satisfy the "rules" when it puts the page on the Web.

Front To Back Ordering

In order to overlap objects, you need to place one on top of another. Web Studio has what is called a "stacking order" for its objects. The first object you put on a page is at the bottom of the stack. The next object is second in the order and so on. This is identical to placing a piece of paper on your desk and then placing another on top of it.

Web Studio allows you to change the stacking order of the objects to suit your needs. Use the Object Menu or right click over any object to use the various stacking order commands such as "Bring Selected Object to Front".

Selection Handles

Click over any object and you will see a group of black boxes surround that object. These are called handles. The handles indicate that the object has been selected. Objects that you drag on the page become selected. In addition you can select objects without moving them.

Click on the background of the page and the selection handles are removed from the sign.

Resizing an Object

You can change the size of any object on your page. Simply select it if it is not already selected, then move the mouse over one of the handles and drag the handle.

Resizing with and without Distortion

Web Studio's standard method of resizing with the corner handles is useful for resizing photographs and other objects that shouldn't be distorted.

However, If you are resizing an object and don't want it to retain its proportions simply press the Shift key while dragging one of the corner handles.


Upload

Send your Site to the Internet

A beginners guide to FTP

Having successfully completed your Web site you are now ready to send (or post) your Web site to the Internet. But just what does that mean? This process, called FTP, is the subject of much confusion and frustration for many Internet beginners. But if you remember just a few simple guidelines, and use Web Studio's helpful Upload wizard, this part of Web building will be a snap.

Using FTP (or the Friendly virTual Postman)

When you send a letter to a family member you must place the correct address on the envelope or it will be returned to your home with a stamp that says "Not deliverable". The process of sending your completed Web site to the Internet is the same as mailing a letter. You need to know a couple of basic Web "addresses" to send your Web Studio Web site to a computer that can be accessed by everyone on the Internet.

When you sign up for your Web space (via your ISP, a Hosting company, or through any of the various Free Web sites available) you are given space on one of their computers. This space has an address just like your home address. The company that provides the space for you will send you and e-mail that gives you the following information:

  • A user name: This is used to "log on" or gain access to the company's computer and it help them identify you from other users.

  • A password: This provides you with some security by making it difficult for anyone else to access your Web space.

  • A Host Directory (or Directory Path): This is the exact location of where your Web site files reside on their computer. This is similar to your street address. (Not required by all)

  • FTP Address: This is the unique Web address for the company that is providing the Web space for you. This is similar to what city you live in.

Armed with this information you can be confident that you have all the information you need to send your Web sites to the right space using Web Studio's Uploader.

We have made it easy for you to use FTP in Web Studio. The first time you send a site to the Internet we ask you to enter all of the above information. Web Studio then saves this information so you never have to enter it again. After your first successful "upload", every subsequent upload will require you to press one button. That's it. In this, the Web Studio Upload Wizard is like Speed dial on your telephone. Enter the number one time, and then forget about it!

To begin the Web Studio Upload Wizard chose File>Save Web Site to Internet.


Post

Create Your Destination

The first time you send a Web site to the Internet you need to create a new Destination Setting. By creating a new Destination Setting you will be able to easily upload your site to the Internet. You must create a Destination Setting for each Web account you have. (Many people have several Web space providers. You can make a setting for each one in Web Studio!)

Once created you do not have to enter this information again. Web Studio will save it for you, making subsequent uploads as easy as pushing the Upload button!

To create your Destination Setting you will need to know the following:

  • Web Space Provider (e.g. your ISP, a Hosting company, Free Web sites)

  • User ID

  • Password

  • Host Directory (Not applicable to all)

You can find the above information in the confirmation E-mail you received when you signed up for your Web account. If you cannot find the E-mail, contact your Web account provider and they will provide you with the information.

Note: If you do not have access to Web space through your ISP, check out the Web for some of the companies that offer free Web space. Many companies offer as much as 20 MB of Web site space!

Destination Setting Name

Before you enter in information about your Web space account, give it a name that will identify it to you as your Web space provider. (e.g. "My ISP")

Choose a name for your setting. If you choose "Other", enter the name of your ISP or Host. This name will appear in the "Available Destinations" box on the Upload page. (After completing this wizard each time you chose File>Save Web Site to Internet you will see an "Available Destinations" box that will list all the places you have entered into the Web Studio Upload Wizard.)

Destination

Choose your Web account here. If you don't see the company that provides you with Web space, choose Other.

Identification

Enter your Web account user name and password. Check the "Save Password" box and Web Studio will save the information for you so you do not have to enter it again!

Directory Path

Enter the directory path required to post your Web site using FTP. This is the place that people usually have problems. It was mentioned earlier that this is like your home street address. This is the exact location, or folder that your Web site will be placed on the "host" computer. You must know this address and you must enter it EXACTLY!!!!. Just as in major cities Main St. can be quite different from Main Rd., your directory path is singularly unique. Make sure you follow the following rules.

  • Include the entire directory. (If you don't know it, contact your Web space provider for help.)

  • Type the directory in case sensitive manner. (e.g. My Site is different from my site)

  • Make sure your slashes are in the right places, there are enough of them and they are going the right direction.

For specific help contact your Web space provider, check the upload page, or click on the Link to Sierra button at the start of the Wizard and go to our "Post your Site" Web page which contains specific instructions for many companies.

FTP Address

Enter the FTP address provided by your Web account provider. If you do not know this, please contact your Web account provider and ask them for their "FTP Address".

Home Page

Enter the complete World Wide Web address for your Home page. This may be used later to preview your uploaded site.

Once you upload your site you can preview it instantly if you have provided this information.

Additional Help on FTP

Any additional questions you may have concerning FTP, or if you need specific upload directions to some of the more popular Web hosting sites, visit our upload page on the World Wide Web.


Root

The Root Directory

When you send your Web site to the Internet it gets placed on a "server" to be viewed by anyone who knows your URL, or Web address. Where the server places your files directly effects your Web address.

In Web Studio we allow you to place your Web site in the "root" of the server or in a sub folder to allow for multiple site uploads.

If your Web site address were www.mysite.com and you put your Web Studio Web site in the root directory then visitors will see your home page when they type in www.mysite.com in their browser's address bar.

In contrast if you decided to not upload to the root then you would have to add the name of your Web site file to the end of your URL to properly view the Web site. For example, if you named your site Picnic the correct Web address would be www.mysite.com/picnic.

By default Web Studio uploads to the root directory. To change this, uncheck the box next to "Upload this site to the root of the Web site".


Working With Graphics

When the Internet was first created it was used as a medium to transfer simple text. In this way, people could exchange information, but only in written form. As computer languages matured and techniques became available to send images over the Internet things started to get exciting.

Just as the Windows operating system, a graphical user interface (GUI), made computers much more accessible to people who were unfamiliar with DOS, a text-command based operating system, graphics opened up the Web to people bored with simple text transactions. Sending images with text made the Web a much more entertaining and powerful medium.

Two Graphic File Formats dominate the Web right now. The GIF and JPEG are widely used and accepted because they offer high quality along with a small file size. In other words, they look good and you can download them relatively quickly!

  • GIF: Graphics Interchange Format are images of 256 colors or less. Because you are loading less colors GIF files are usually small and a quicker download than JPEG files.

  • JPEG: Joint Photographic Export Group format are images that contain more than 256 colors and are an ideal choice for photographs because of their high image quality.

You will most likely use a combination of GIF and JPEG files when you are constructing your Web sites in Web Studio. Several other graphic file formats exist and one of the great strengths of Web Studio is that is allows you to use all of them, taking care of the conversion process for you.

  • BMP, TGA, PCX, EPS, WMF, RAS and PNG formats are all supported by Web Studio. Web Studio will automatically convert these into GIFs when it builds your Web site. It will not convert the original source, the file on your hard drive, only the copy used to make the Web site.

The biggest concerns you will have as a Web site designer when it comes to graphics is the time it takes to download them. The reason JPEG and GIF are the darlings of the Internet world is that they download faster than the others. If you place too many graphics on your Web page it will cause the page to download very slowly. If someone grows impatient because your Web page is taking 2 minutes to download they may click the back button and not come back! The reason it takes so long to download the graphic is a combination of three things: the amount of traffic on the Internet, the speed of the visitor's modem and the limitations of the current phone line system.

  • Internet traffic: We have all heard the phrase World Wide Wait to describe the Web. And it's true; with each passing holiday season, more and more people are on the Web. Big numbers of participants can wreak havoc with digital traffic as well as commuter traffic. Often times surfing the Net during off-peak hours will solve this.

  • Modem speed: This is the one variable that you as a consumer have some control over. The modem is the piece of hardware that is in charge of interpreting the digital signals from the Web into computer language. Modem speeds are always increasing as the demand for faster connections increase. The standard speed right now (as of press time) is 56 kbs. Of course, this will change rapidly.

  • Wire size: This is a bit more complex. And this is where bandwidth comes into play. Phone lines were not originally designed to carry the information that they now carry as a result of the Internet's growing popularity. The Phone Company has plans to upgrade these lines but that will take some time. Many local Cable companies are filling this gap in the meantime, offering big, fast connections to selected areas of the country. These connections can be expensive, however.

So, when you design your Web site, spread the graphics out amongst several pages as opposed to making one page your photo album. This would probably result in an extremely slow photo album.


Working With Sounds

Sound is the late comer to the Internet. The last few years have brought us from primitive Web sounds to ever clearer, brighter sound quality on the Internet. "Streaming" audio technologies are making the future of sound on the Web extremely exciting. You can now listen to radio stations from around the world with CD like audio quality courtesy of the Internet.

Web Studio lets you add sounds to your Web site utilizing Windows Wav files. You can take advantage of the many sound effects that are found in the Sounds Gallery plus you can add your own sounds to your Web pages!

Wav: Wav, or "wave" files, is the standard on Windows. Web Studio supports this format directly. You can add a Wav file to any object on your page, and then decide how you wish the sound to function.

  • Select the object you wish to apply the sound to.

  • Go Insert>Sound From File

  • The Windows Open dialog box will appear.

  • Double-click on the preferred sound file.

  • The sound is automatically added to the object. You can control the properties of the sound by right clicking over the object and choosing the Properties option.

  • (NOTE: There are some limitations in the conversion process and Web Studio may experience problems with some Wav files not included with Web Studio. If when you Preview the Web site or Save it to the Internet, you get an error message citing "conversion" problems or "failure to build table", try a different sound on your Web page.)


Working With Text

Text came first to the Web. If you look back just a few years ago at pages on the Internet, they were comprised of mostly text. They were informative, but they were static and lackluster. As new technologies were developed and programming languages matured. the Web became a very visual place. Gone were the days of merely reading online; now Web surfers were treated to images and sounds to accompany the text.

However, without a message, without the text, Web pages are little more than blinking images and sounds. The text you place on your Web site can be informative or entertaining or both. The one thing it need not be is boring! Web Studio offers you many ways to customize your text.

  • Fancy Alphabets: Web Studio provides you with several Fancy Alphabets that make great titles or headlines on your Web pages. Found in the Text Gallery, drag one on to your page and a dialog box will provide you with a place to type your text. Click OK and the text will be placed on your page, ready for you to resize and place.

  • Format toolbar: Web Studio's Format toolbar is patterned after the existing software standard. This makes for easy editing of your text font type. Simply highlight the desired text with your mouse cursor and click the size, color, or font type button to make the appropriate change.

Note: An extremely important design consideration when you are making your Web pages concerns the choice of font types you place on your Web page. Since Windows comes with a "basic" set of fonts, many people will not have the exact same fonts on their computers that you do. If you choose an unusual font for your site there is a very good chance that when people view your site with their computers the Web page layout will differ greatly because their Web browser used the "closest" font it could find for the one you specified. When in doubt use the standard Windows fonts which are Blue and Black in the Text Gallery. Yellow (cautionary) and Red (Alert!) fonts are unique and will result in mixed results when viewed by others.

  • Links: Adding links to a whole paragraph, a sentence or a single word is very easy with Web Studio.

  • Block of Text: To attach a link to an entire body of text, be it a word, a sentence or a paragraph, drag a link from the Link Gallery and the entire body of text should change color, indicating that a link has been added.

  • Selections of Text: To attach a link to a single letter, a series of words, a paragraph, or any selection of text, double click on the text object to enable it for editing. Select the text to have the link. Drag a link from the Gallery to the selected text and drop it. The selected text will change color, indicating a link has been added.

Web Studio also offers you the option of importing text from an outside source. Web Studio supports two different "text" formats: text files (.txt) and Rich Text Format (.rtf). If you are using a word processing program and want to import a document to post on your Web site, (for example, a resume), be sure you save the document in one of the two accepted formats.

  • To import a text file go to Insert>Text from File.

  • Use the Windows Open dialog to locate your text file.

  • Double-click on the file and Web Studio will place it on your Web page.

  • You can now resize and place the text on the Web page.

Remember that to achieve the greatest visual appeal on your pages, be sure to place a healthy mix of both images and text on your Web pages.


Plan

Planning a Web site

So, now you're ready to plan your more ambitious Web site. Many factors go into building a strong and engaging Web site. You have to decide what you want to achieve with your Web site. Is this for personal use or do you have a business goal? The two styles utilized for each type of Web site are very different from each other.

If you wish to share photos and stories from your family with relatives and friends, then your pages can be much more informal then if you are building a site to sell your services. If you are looking to build your business using the Internet, then your site should look professional since it will be representing your business. In many ways, your site will become the first impression that a customer will have of your business. So, it should look as polished and as professional as possible.

The Internet is a huge collection of both personal and corporate Web sites. Take some time to surf the Net and take notes about the sites that you really like (or those, for that matter, that you don't like). Figure out what about the sites are interesting. Is the site all bells and whistles or does the site offer great content?

Here is a checklist of things to consider before you start making your Web site.

Why am I building a Web site?

  • More and more people are building personal Web sites so that they can share important events with others. The Internet is an extremely convenient, inexpensive medium to use and you can reach anybody who has Web access.

  • At the same time, small businesses are also building and posting Web sites for many of the same reasons individual users do. The Internet is a very easy way to publicize products and services. The combination of graphics and text make the Web a powerful agent for a small business, provided they design a clear, informative Web site.

Who is my audience?

  • This is an important consideration because the tone of the Web site should reflect the tastes of those who you want to visit the site. If your site is a personal site, make it very friendly and informal. Those who visit already know you so you can afford to be more "familiar" with your content and design. If your site is business oriented then you want to maintain a formal, professional tone throughout the pages on your site. You want to impress your visitor with your site, as it is an electronic representative of your business. It is essentially your electronic front door.

Do I want the visitor to interact with my site?

  • This is an important question concerning e-mail hyperlinks or feedback forms that may be placed in your pages.

  • An e-mail hyperlink is a great thing to include in your family home page. With a click of the mouse on the E-mail button, the e-mail software will bring up an e-mail with your address already in the "To" text field (see graphic). All the visitor has to do is type their message and click "send!" You will get considerably more feedback by including an e-mail button on your page than if you don't include it.

  • Feedback forms are essentially short surveys that a visitor can quickly fill out and submit that provides you with any information that you are interested in gathering.

"Do you like my site?"

"Are you interested in my service/product?"

"Any suggestions for additions to the site?"

Answers to these questions can improve your site and business as well as help your Web site be more of an asset to you.

What do I want to share with my visitor?

  • You purchased Web Studio with a Web site in mind. What do you want to put on the Web? Photos of your new baby? Do you have a hobby you wish to share with the world? Or do you want to build a tribute site for your favorite celebrity? All of these are easy and possible.

  • If you are a small business user, you are going to want to put information about your service/product on the Web. You will want interesting images and informative text. Think about how you want the overall theme of your site to match your business.

What do I not want to share with my visitor?

  • This is important. Consider what not to include in your Web site. If it is a personal site do you want to include your address? Or any other personal information, say, about where you work? Remember that the Web can be viewed by anyone and any information you upload becomes part of public domain. Don't place anything on your Web site that you would not feel comfortable placing on a community bulletin board. It really is the same thing.

  • For a small business site you should consider how much information about your product is enough and how much is too much. Pricing is often a sensitive issue: do you want to make price quotes over the Web? Do you have a special skill? You might not want to share too much information about how you achieve results. Remember, if it is on the Web anyone, including a competitor, can read it.


Advice

Advice from our Art Director

Designing good pages for the Web requires some very distinct artistic guidelines.

See it like your visitor

If your site isn't easy to view for your visitors, you've failed to achieve your goal, regardless of how cool your design is. The average user has a 640x480 screen, 14.4 or 28.8 modem, and often as little as 256 color video. They appreciate a site that loads fast and gets them where they want to go in as few clicks as possible. Part of this is using clever design to reduce the download size of pages. Every time you can reduce the size of a graphic, you've moved closer to making the perfect site. This doesn't mean you should be using tiny little unreadable graphics. It means that when you do choose to use a graphic, you should be making the best use of the download time. If you have to create a graphic with large areas of white space, step back and consider what you're doing - there is something fundamentally inefficient going on.

Simple list of guidelines for building good Web pages:

A. Text and hypertext links should be readable against the background. Use proper spelling and punctuation.

B. Background colors and patterns help a page stand out, but they can be in the way if they make it hard to load or read. Bear in mind that many readers will be viewing your page at 256 colors, so any higher-resolution colors will be lost and may create undesirable effects. As a general rule, if your site has lots of text use a light colored background. If your pages are heavy on graphics and light on text, than go ahead and use more dynamic background patterns.

C. Graphics and animation can brighten a page, but keep them simple for quick downloading. Avoid adding more than 4-5 animations and text FX per page.

D. Navigation links at the bottom of each Web Page provide a guide so your readers won't get lost. Provide text-only links for users who turn off graphics loading in their browsers to improve speed. (Remember to use our Add Page Links feature in the Cool Stuff Gallery!!)

E. Page dimensions should be no larger than the browser window size; keep in mind that many readers have their screen resolution set to 640 by 480 pixels.


Tips

Tips & Tricks

Shadowed Outlined Text

1. Type text object. Works best with large, bold fonts with lots of black in the characters.

2. Drop the Shadow FX onto the object.

3. Right click and choose Transparent Color > Choose Color

4. Click in a character (on black portion).

5. Characters become transparent so you can now "see through" the characters. The shadow is only remaining part of the text that can be seen. If you have a colored background, set the background of the text object to the same color.

Patterned Text

1. Do "Shadowed Outlined Text" above.

2. Place a patterned graphic on top of the text. Make sure the graphic is large enough to cover all of the characters in the text.

3. Select the graphic, and choose Send To Back.

4. The transparent characters in the text allow the pattern to show through.

Text Within Text

1. Do "Shadowed Outlined Text" above.

2. Create another text object and fill it with whatever text you want.

3. Select the text object and choose Sent To Back.

4. The transparent characters in the first text object allow the text in the second object to show through.

5. Make sure the second text object is large enough and has enough text in it to fill all of the characters in the first text object.

Text Filled with Picture

1. Do "Shadowed Outlined Text" above.

2. Place a picture on top of the text. Make sure the picture is large enough to cover all of the characters in the text.

3. Select the picture, and choose Send To Back.

4. The transparent characters in the text allow the picture to show through.

Edge FX's

1. Using the same edge effect on different sized graphics gives different effects.

2. Drop the Reverse FX onto your graphic and then drop an edge effect on it.

3. Then "Reverse" the resulting graphic. This reverses the edges on the Edge FX.

4. Do the same thing with the Flip FX.

5. Do the same thing with the Flip and Reverse FX.

These effectively multiply the number of edge FX's available.

Combining Edges and Patterns

1. If you want to add a pattern (or texture) from the FX tab and also an Edge FX, you should drop the pattern onto the graphic first.

2. Then drop the Edge. If you do it the other way, you'll get the white, transparent area outside the edge back again but with the pattern on it.

This could be another effect however, if you like it.

Spray Painted Walls (Graffiti FX)

1. Create a text object and type your text.

2. Make it the size, font, color, style you want.

3. Drop the Brick Pattern FX onto the text object. It looks like spray paint on the wall.

4. First dropping the Blur FX onto the text and then the Brick Pattern can enhance the effect.

5. Use the first Blur and see how it works, try the others as well.

Use the one that looks best.

Offset Text

1. Create a text object and add the text.

2. Add any font, styles, colors, sizes to the text.

3. Duplicate the text object.

4. Change the color of the text.

5. Put one object on top of the other.

6. Nudge the top one around such that just a pixel or two offsets it horizontally and vertically.

7. The result is text with a colored "shadow."

You can use more than two text objects with different color to create rainbow effects, graduated shadows, etc. Just create more duplicates of the first object, change the text color as appropriate, stack the objects on top of each other and offset them.

Don't worry about using a lot of space on the Web with this effect. The size of the resulting graphic is relatively small, since all of the text objects are automatically combined into one graphic by the program when the site is uploaded.

Cropping Pictures and Graphics

1. To crop a graphic, simply use a rectangle with the same color as the page's background to cover the part of the graphic to be cropped.

2. If the background is white, use a white rectangle that is not transparent.

3. Make sure the rectangle is not transparent.

4. If the rectangle is covering up another object you want to see, simply select that object and choose "Bring Selected Object to the Front".

Fixing Ragged Text

1. If the font you are using has jagged edges when viewed in a Web browser, simply drop the Blur FX onto the text object.

2. Continue to drop Blur until you get the desired result.

Using Text as a Background

1. Create a text object with the text, font, style, sizes you want for your background.

2. Drop the Reverse FX onto the text; the text object is now a graphic.

3. Drop the Reverse FX onto the object again, it now reads correctly.

4. Copy (or Cut) the graphic. Choose Paste as Background. The text is now used as your background.

Embossed Text Background

1. Repeat steps 1-4 of Using Text as a Background but use the Emboss FX in place of the Reverse FX.

2. Use Lighten or Darken FX to make the background the correct brightness.

Note: Once the embossed text is in the background, you can simply drop the Lighten or Darken (or any) FX directly onto the background.

Embossed Photo as Background

1. Place a picture on the page.

2. Copy or Cut it to the clipboard.

3. Choose Paste as Background.

4. Drop the Emboss FX onto the background.

5. Use Lighten or Darken FX to make the background the correct brightness.

Using Photo Correction Wizard on Backgrounds

1. If you have used a graphic as a background, you can drop the Photo Correction Wizard from the Special FX tab onto the background of a page.

2. This enables you to change the hue, brightness, contrast, sharpness of the background just like with a photo on a page.

Using FX's on Backgrounds

1. If you have used a graphic as a background, you can drop any effect from the FX tab onto the background of a page.

2. Use the same background on all pages in your Web site, but make small "Special FX" changes to each one.

3. For Example: Use an increasing amount of the Blur effect on subsequent pages.

Adding Text to Pictures

1. Create a text object, choosing the text, font, style, color and size

2. Drag it on top of the picture.

3. Select the text object and choose Bring to the Front to put the text object on top of the graphic.

4. The program will combine them both into one graphic when the site is Previewed or Saved to the Internet.

Adding Pictures to Text

1. Create a text object, choosing the text, font, style, color and size.

2. Drag the picture on top of the text object.

3. You may have to move some text around by using tabs or spaces or the Enter key to make room for the picture.

4. Select the graphic and choose Bring to the Front to put the graphic object on top of the text.

5. The program will combine them both into one graphic when the site is Previewed or Saved to the Internet.

Antique Photographs

1. Place a photograph on the page.

2. Drop the Colorize FX onto the photo.

3. Choose a light brown color from the dialog.

4. Click on Custom Colors in the dialog.

5. On the far right side of the dialog, click and drag the graduated color until the color is a fairly light brown.

6. Click OK. The photo will be colored light brown.

7. Drop the Noise FX onto the photo. If you want more noise, drop it again.

8. Finally, drop one of the Edge FX's onto the photo. The ones that work best are the ones with black on their edges. This simulates the photo that has turned brown or sepia with age, its edges curling or cracking over the years.

Variation: Drop the Canvas Pattern FX onto the photo prior to dropping the Edge FX. This simulates an old drawing on canvas.

How to get the most of working with groups of objects

The advantage to working with a group of objects (i.e. clip art or photos) is that a command is applied to all the objects at once, significantly increasing the speed at which you can experiment with your layout. There are two distinct ways to work with a group of objects on your Web page.

1. Hold down the Shift key and click on the desired objects

2. Hold down the left mouse button and "drag the net" around the desired objects.

The objects that have been selected will now have "handles" around them. (For a detailed look at Handles, run the Web Studio Tutorial by going to Help>Tutorial in the program.) You can now align, resize, and relocate all of the selected objects.

Use the CTRL key in Web Studio.

With the CTRL key you can perform two timesaving, Web page enhancing operations.

  • Hold down the CTRL key and click on an object. This will place an exact copy of the image on the page. Simply click on the image again and drag the new image to a new position on your Web page.

  • Before you resize and object, hold down the CTRL key. When you finish resizing, Web Studio will automatically smooth, or "dither", the image. Dithering is the process of softening the pixels in the image. This keeps the image from looking grainy.

How can I use images from a different Web page?

You can add images to a Web Studio Web site via dragging and dropping the image from the browser to Web Studio. Here's how:

1. Start Web Studio and begin working on a site.

2. Open your Web browser and connect to the Internet.

3. Surf the Web until you find an image that you want to add to your Web page. (Remember copyright laws make it illegal to use copyrighted images on your Web pages!)

4. Resize your Browser window and Web Studio window so you can see both.

5. Click on the desired image and drag it to the Web Studio work place.

6. The image will appear! It is ready to be moved around, resized and edited!

7. Drag it into you're My Stuff Gallery to use later!

How do I use transparency in graphics?

Web Studio allows you to create unique and interesting effects by giving you full control of the transparent elements in any image. By making portions of an image transparent, the illusion of one blended image is produced. To select transparency do the following:

1. Right-click over the desired image and select transparent color>choose color.

2. On the left the image is displayed, and on the right all of the specific colors in the image are displayed.

3. Click on any portion of the image to preview with the desired color made transparent.

4. Alternately, click on any of the specific colors on the right to preview the image with that specific color made transparent.

  • Creative use of transparency will help you produce a one of a kind Web site!

How can I use a background from another Web page?

You can add a background from another Web page by using the "Paste as Background" command in the Edit menu. Here's how:

1. Start Web Studio and begin working on a new or existing Web site.

2. Open your Web browser and connect to the Internet.

3. When you find a page that has a background that you like right click over the Web page background and choose Copy Background.

4. Open the Web Studio window and right click over your work surface.

5. Choose "Paste as Background. The background will now grace your Web page.

Make your own wallpaper for your PC!

Web Studio allows you to save any page you create as a graphic itself. You can save the file and make your own wallpaper for you PC! Here's how:

1. Start Web Studio and create a cool Web page.

2. Go to File>Save Page as Graphic and save the image in the folder of your choice on your hard drive.

3. Minimize all of your windows and right-click over the Windows desktop.

4. Choose Properties.

5. Click on the Background tab.

6. Click Browse.

7. Go to the appropriate folder and double click on the graphic you just saved.

8. Click OK.

9. Your Web Studio Web page is now your Windows wallpaper!

How can I make thumbnails for my pages?

Using "save page as a graphic" you can create ready to use thumbnails for your Web site Here is an example of how to do it!

1. Create and complete a three page Web site in Web Studio.

2. When finished, go to the second page in the site and choose "Save Page as Graphic". Save the file to your Windows desktop.

3. Go to the first page and choose Insert>Picture from File.

4. Go to the Windows desktop and double-click on the file you just saved.

5. It will now appear as if the second page is on your first! Grab the handle in the upper corner and resize the graphic to thumbnail size.

6. Open the Links tab and drag the second page link onto the thumbnail.

7. You now have a thumbnail link.

8. Repeat the process with the third page.

Which version of HTML should I choose?

Choosing HTML 3.2 or 4.0 or Both!

Web Studio by default generates two complete versions of your Web site. Why two? Well, this allows you to be confident that all of the features you have placed on your site will be viewed properly by a visitor to your site regardless of what version Web browser (ex. Internet Explorer 3.0 or 4.0) they are using.

As the Web has developed so has HTML and Web browsers. HTML is the series of tags, or layout instructions, that is loaded behind scenes when you visit any Web site. (You can view any page's HTML by going to View>Source in Internet Explorer or by going to View>Page Source in Netscape Navigator) Web Studio allows you to produce a site without thinking about which browser will be used to view the site by creating a version specifically for 3.0 browsers and another specifically for 4.0 browsers.

Inside your Web Studio Web site is the Web site's properties. Click on the "Site Properties" button in the Page Palette. Click on the Advanced tab. Here is where you can determine what version of HTML to use.

Version 3.2 is older, and does not allow the overlapping of images on your pages. Version 4.0 is the latest standard and is best viewed by users who have version 4.0 or higher Web browsers. Note: HTML 3.2 without overlapping will create the highest quality sites. To prevent overlapping when designing enable the "highlight overlapping objects" feature of Web Studio. (See the View Menu in Chapter IV)

If you can be confident that everyone you know will view your site using Web browsers of 4.0 or higher than click on the "Use HTML 4.0 only" button. This will save you time when your pages are previewed and uploaded and will save you space on your Server allowing you to make more Web Studio Web sites!

If you are unsure about the browsers your acquaintances are using then stick to using both. In this way you can be confident that your site will look as it is intended.

What is an Anchor and how do I use one?

An "anchor" is used to place an "intra-page" link on any given page. They are most handy if you have a long Web page that requires considerable scrolling. This allows you to place a link at the bottom of page that will automatically scroll up to the top of the page. Another popular use for anchors is to have a series of questions at the top of a page and an anchor that links a specific answer to a specific question. Here's how you use anchors:

1. Start Web Studio and open a new or an existing Web site.

2. Place an icon (this can be any graphic) or button at the top of the page.

3. Click on the Links tab and drag "Add Anchor to Object" and drop it on top of the icon.

4. Name the Anchor. An example would be "Top of Page".

5. Scroll down your page and place another icon at the bottom of your page.

6. Drag the newly created Anchor link (in our example, "Top of Page") and drop in on top of the icon. The linking box will now appear indicating that a link has been placed on this icon.

7. Preview the Web site by hitting your F5 key to see the anchor link in action.

How do I add background color to my text?

Web Studio allows you to add fonts and adjust their size, color, and their transparency. It also allows you to create cool effects by adding a background color to the text itself! Here's how:

1. Start Web Studio and open a new or existing Web site.

2. Click on the Text tab. Drag a desired font onto your work surface and type your desired text.

3. Right click over the text and choose Text Background Color>Text Background Color. Choose any color you like and click OK. The color is now the background to the text box!

4. You can resize the text box to create your desired effect.

How do I add an E-mail link to word of text?

1. Open you Web page in Web Studio and click the Link tab.

2. Go to Insert>Add my own link.

3. Name your link "My E-mail" or whatever you decide.

4. For the Link URL, erase the http:// part and enter mailto: followed by your e-mail address. Example, mailto:Webstudio@sierra.com.

5. Click OK. The link will now be in the "My links" window.

6. Single click on your body of text and highlight the words you wish to "link" via e-mail.

7. Drag the My E-mail link from the Link tab to the highlighted word(s).

8. Preview the Web site and check your link.

9. If the link does not work, try the procedure again.

How do I change the speed of a Slide Show?

When you create a Web Studio Slide Show the default time between slides is 10 seconds. You can make this shorter or longer by doing the following.

  1. Open Web Studio.

  2. Create your Slide Show making sure you choose "Automatically every Ten Seconds" in Slide Show Options.

  3. Right-click over the Slide Show and choose Properties.

  4. Click the HTML Content tab.

  5. Scroll down until you see <param name=DelayBetweenImages value=10>.

  6. Change the value from 10 (seconds) to any number you prefer.

  7. Click OK.

  8. Preview your site to check for the desired results.


Support

Sierra On-line Support

If you experience any problems with Web Studio, Sierra On-Line has a full library of help documents available electronically. Click here to be taken to our Support page.

Other options include leaving a message for Sierra's technical support staff at the Web site above by accessing the technical support message boards, or e-mailing to home@sierra.com with a complete description of the program, your system, and the problem you are experiencing.

You can also receive your document via our automated fax back service. Call (425) 644-4343, choose to use the automated technical support system and follow the voice instructions provided. You will be faxed a catalog of all of the documents that we have to offer and you will then be able to get the documents you need. If you prefer, you can also fax us at (425) 644-7697 with your document request.

For phone assistance, you can reach Sierra Technical Support at (425) 644-4343 between 8:00 am and 4:45 pm, Monday through Friday, Pacific Standard time. Please have the program installed and be at your system when you call. Customer Service can also be reached at the following address:

Sierra On-Line

PO Box 53210

Bellevue, WA. 98015

If you are in Europe, please contact our office in England. The Customer Support number is (0118) 920-9111, between 9:00 AM and 5:00 PM, Monday through Friday. The fax number is (0118) 987-5603. Customer Service can also be reached at the following address:

Sierra On-Line Limited

2 Beacontree Plaza

Gillette Way

Reading, Berkshire

RG2 OBS United Kingdom

If you do contact Technical Support via phone, please be in front of your system and ready to answer the following questions.

  1. What is the specific problem?

  2. What is the specific error message, if any?

  3. At what point in the program does it occur?

  4. What speed is your processor? (Example: 486/66, P-100, P200, etc.)

  5. How much RAM do you have? (16MB, 32MB, etc.)

  6. How big is your hard drive, and how much of that is free space?

  7. Do you regulary run Scan Disk and Disk Defragmentor?


General

Despite having sufficient RAM installed on your system to run the Sierra product that you purchased, you may find that you experience errors such as "Out of Movable Memory" or "Insufficient Conventional Memory" or other symptoms of low system resources such as slow performance. Sierra products are not designed to multitask and will operate best when given all possible free system resources. Here are the best ways to maximize available resources:

  • Shut down all active Windows programs in the Task List. Windows tends to load many utilities and programs automatically when it starts. To see a list of these, press <Ctrl-Alt-Del>. The only program that is required is Explorer. For all other tasks, highlight them individually and click on the "End Task" button.

  • Disable alternate Windows desktop shells. There are many alternate Windows desktops available for computer systems; many of them come pre-installed. These included Norton Desktop for Windows, PC Desktop, Tabworks, Navigator and others. Disabling these will free up system resources. Specific instructions to disable them will vary by product, so you will need to check the desktop's documentation.

  • Check virtual memory settings. Windows '95 creates a swap file to use hard drive space as a replacement for RAM memory. By default, the system handles these settings internally; however, if they are manually set problems can occur. To check the virtual memory settings, go to the Start menu, choose Settings and then Control Panel. Choose the System icon and the Performance tab. Select Virtual Memory and make sure that "Let Windows manage my virtual memory." is checked. If not, check it and click on Apply. Also, make sure that you have plenty of hard drive space as the swap file can be extremely large. For optimal performance, try to keep at least 40 MB available on your C:\ drive.

  • Reduce video resolution and color palette. Running at a video resolution higher than 640x480 or with a color palette of greater than 256 colors uses more system resources and does not improve the graphics quality of most Sierra products.

  • Disable wallpaper on the desktop. The default Windows wallpaper selections take up a minimal amount of memory. On the other hand, custom pictures used as wallpaper are very memory-intensive. To disable them, go to the Start menu, choose Settings, Control Panel and then Display. Click on the Appearance tab and then set the Background option to (none). Click on Apply and then OK.

  • Many different types of errors can occur with Windows products. These range from Windows errors such as General Protection Faults and Illegal Operations, to product specific errors or even lockups with no error messages at all. The tips outlined below will resolve most of them:

  • Streamline the memory environment. These errors are often the result of conflicts between multiple programs loaded into memory.

Insuring a Clean Install

Insure a clean product installation. File corruption is a common cause of program problems. To avoid it, use the following process to insure a clean install:

  • Delete any previous installation of the product from the hard drive. Use the Uninstall option through the setup program if it has one.

  • Check for errors on the hard drive. From the Start menu, choose Run, type in SCANDISK and press <Enter>. Fix any errors that are found.

  • Make sure that there is enough hard drive space. Open up My Computer on your desktop and right-click on the drive to which you're installing. Click on Properties and note the MB value for Free Space. If your hard drive is compressed with a program like DriveSpace, the listed available space will need to be approximately double the requirement stated in the Sierra product documentation. Compression techniques will not have much effect on many of the installed files.

  • Reboot the system with your boot disk to eliminate memory-resident programs that may cause problems and reinstall the product.

  • Check CD ROM cache size. When Windows '95 installs, it can incorrectly determine the speed of your CD ROM drive and allot an improper memory buffer for it. From the Start menu, go to Settings and then Control Panel. Choose the System icon, the Performance tab, the File System button and then the CD ROM tab. Make sure that the Optimize Access Pattern For option is set properly for your drive. When done, click Apply, then OK and then Close. Restart your system and see if this helps. If this doesn't help, try changing the Optimize Access Pattern For setting to No Read Ahead.

  • Make sure that all of your hardware is directly supported by Windows '95. Drivers are the software that allows Windows to control the hardware on your system. Some hardware is not supported with drivers under Windows '95. Instead, it uses older Windows 3.1 drivers. While this is sufficient for basic system operation, it can cause problems with intensive tasks like games. You can check the Device Manager to make sure that you have true Windows '95 drivers for your system. From the Start menu, choose Settings then Control Panel. Choose the System icon and the Device Manager tab. You will see a "tree" with you computer listed at the top and all of the Windows '95-supported devices on your system. The following devices are most often missing from this list: CDROM, Display Adapters, and Sound, Video and Game Controllers. Double-click on these lines and make sure that a driver is present for each. If any are missing or appear with a thunderbolt or exclamation point symbol listed on them, contact your system manufacturer for assistance.

  • Update Windows '95 hardware drivers. Many manufacturers have already released revisions to the drivers that shipped with Windows '95. These fix known problems and help maintain compatibility with the newest software on the market. Driver updates can be obtained from your system or component manufacturer; usually they are free of charge if you can download them from a BBS or Web site.


Video

Video Troubleshooting

Windows video problems usually fall into two categories: display quality problems and speed problems. Quality problems can result in black screens, color distortion and the like. Speed problems can lead to choppiness of video display or failure of the pre-installation pixels per second transfer rate. In both of these cases, the solution will likely be found in the following process:

  • Streamline the memory environment. Conflicts with memory-resident programs can cause graphics problems and loss of performance. See Section 3 for help with freeing up system resources.

  • Check video performance settings. From the Start menu, choose Settings and then Control Panel. Select the System icon and the Performance tab. Choose Graphics and make sure that the slider bar is set all the way to the right. If not, move it and click OK. You will be prompted to restart your computer; click OK here also.

  • Update your Windows video driver. As previously mentioned, drivers are the software that control the hardware in Windows. When drivers are updated, they are usually reworked to run faster. Video drivers are available from your system manufacturer. If you can download them from a BBS or Web site, they are often free of charge.


Sound

Sound Troubleshooting

Sound problems can manifest in numerous ways. They can range from distorted, missing or clipped sounds to error messages like "Waveout Open" or "Rave" to system lockups. Here are the steps that will help resolve most of these problems:

· Insure that the sound card is not being used by any other applications. When the sound card is in use by a background utility, it will not work properly. Follow the steps in Section 3 to minimize the chance of this happening.

· Check the mixer. Your sound card has a mixer that it uses to balance the different types of sounds the computer uses. You should find a speaker icon in the corner of your screen on your Task Bar. Double-click on this icon to access the mixer. Make sure that not only the master volume is at an acceptable level but also that the relative levels of the different sound types are equally balanced. With most mixers, MIDI is the music setting and Wave is the digital sound effects setting. If you are experiencing distorted sounds, try turning all sound levels down to about two-thirds of maximum.

· Check to assure that all Windows sound drivers are installed. From the Start menu, choose Settings and than Control Panel. Choose Multimedia and then the Advanced tab. In the device tree that you see, check under Audio Devices and MIDI Devices and Instruments. If you do not have any entries under these categories, your sound card is not supported directly by Windows '95. You will need to consult your system documentation or manufacturer for further assistance.

· Check the MIDI Mapper setup. Improper MIDI music setup can result in problems. From the Start menu, choose Settings and then Control Panel. Choose Multimedia and then the MIDI tab. Change the setting from Single Instrument to Custom Configuration then click on Configure. You will see a MIDI map with 16 rows with a setting like "MIDI for OPL2/OPL3 Internal Synthesis" listed in it. If you have a 16-bit sound card like a Sound Blaster 16, make sure that the setting is listed in rows 1 through 10 only. If you have an 8-bit sound card like the Sound Blaster or Thunderboard, make sure that the setting is listed in rows 13 through 16 only. If you are not sure what type of sound card you have, set this up as an 8-bit. To remove a setting, highlight it, select Change, pull down the selection menu and choose (none). When done, click Save As, choose a name and click OK. Click Apply and try the game.

· Check the CD Audio cable. Some CD games store their audio tracks the same way a music CD does. If you do not have a special cable running from the CD to the sound card, you will not hear it. To test this out, play a music CD in the drive and see if you can hear it through your computer's speakers. If you can't, check with your system manufacturer about getting a CD audio cable installed. Alternately, if you plug a set of stereo headphones into the jack on the front of the CD ROM drive, you should be able to hear the audio properly.


Errors

Common Errors

I can't find my Web site on my hard drive!

  • Web sites are saved with a .ows file extension. Go to Start>Find>Files and Folders and type in *.ows. Click the Find Now button and a list of Web sites will emerge.

My Slide Show is not working correctly!

  • JPEG and GIF files are the only two file types that Web Studio can use to make a slide show. If you use other files types (a .bmp, for example) the slide show will not work and a grey box will appear on your Web page when viewed in a browser. In addition, there must be no spaces in the files names used in the slide show. If you have a file named "our cat.gif" rename the file "ourcat.gif" if you plan on using it in a slide show.

I can't find my Web site on the Internet.

  • Make sure that you are entering the correct URL or Web address. Check with your ISP and make sure you have the correct Web address written down. Also, make sure under the Site Properties box that you have a check mark in the "Place the Web site as the root Web site".

When I try to send my site to the Internet I get error messages.

  • Make sure you have the correct FTP address, host directory, user ID and password. One typo and the FTP process will not work.

When I drag an image from the My Stuff gallery I get an error message.

  • The My Stuff folder contains "thumbnails" of the images on your hard drive. If you move or replace an image on your hard drive and attempt to add the image to your Web page you will get an error message because Web Studio cannot find the image file. Reload your My Stuff tab.

When I add a sound I get an error message.

  • There are some limitations in the conversion process and Web Studio may experience problems with some Wav files. If you get an error message citing "conversion" problems or "failure to build table", try a different sound on your Web page.

When someone else views my Web site it takes a long time to appear.

  • Many factors can play a part in this. Make sure that you do not have too many photos on your Web pages. This can result in slow downloads of your pages.

When I view my Web site on the Internet my graphics are transparent even though I chose them to not be transparent.

  • This is caused by overlapping graphics. When Web Studio builds the Web site in HTML 3.2 it treats all overlapping graphics as one and renders the unique properties of each image void. Go to the Site Properties box and click on the Advanced tab. Click on HTML 4.0 only. Now, re-save your Web site to the Internet.

I can't place a graphic on the top, bottom or side of the page.

  • Due to the many different ways that browsers load pages, you cannot place images or text on the very edge of your Web pages. Web Studio will automatically place them at the outer most limits of your Web pages for you. This can be turned off by opening the Web site properties and unchecking the "Automatically resize pages according to content" box.

On my free Web site there is a banner that overlaps my layout.

  • This occurs when one of the free Web site providers places a banner of their own on your page. If you have built the page in HTML 4.0, which allows for overlapping graphics, you may experience this problem. Go to the Site Properties box and click on the Advanced tab. Click on HTML 3.2 only. Now, re-save your Web site to the Internet.

When I view my page on another machine the Font is different and the layout is a mess!

  • If you choose an unusual font for your site there is a very good chance that when people view your site with their computers the Web page layout will differ greatly because their Web browser used the "closest" font it could find for the one you specified. When in doubt use the standard Windows fonts such as Arial and Times New Roman.

My Web site does not show up on search engines.

  • Aside from using the Web Site Information tab, found in Site Properties, the best way to ensure your Web site will appear in search engines is to actively register your site with the specific search engine companies. Go to any of the popular search engine sites and you will find information on how to include your site on their search engine.

I don't know my User ID or password when saving site to Internet.

  • Contact your Web space provider, or check your e-mail for their welcome letter, which often times contains that information.

Some of my HTML effects don't work on all browsers.

  • Some discrepancies will occur between different versions of Internet browsers currently available. While Sierra Web Studio developers have attempted to create a product that reflects all of these versions, some features may not be available for each separate browser. We recommend that you contact the manufacturer of your particular browser for specific limitations and possible updates.


Email

E-mail Buttons

(Double-click on E-mail to see the E-mail gallery.)

  1. Drag any of the E-mail objects to your Web page.

  2. A dialog box will prompt you to add your E-mail address.

  3. Enter your address, or the address of where you wish this E-mail to go, and click OK.

  4. You may test the E-mail link by going to Web>Preview Web Site and clicking on the E-mail link.

Note: To add an E-mail link to any selection of text, check out the Tips and Tricks section.


Slide Shows

There are 6 varieties of Slide Show.

· Drag the slide show onto your Web page and position it where you want the images to appear.

· Once you release the mouse cursor, the Slide Show properties box will appear.

SLIDE SHOW OPTIONS DIALOG BOX

· Change Slides: There are 3 "change slides" options.

1. Automatically every 10 seconds: The images will change every 10 seconds on the finished Web page.

2. By Using Next and Previous Buttons: Two buttons will appear on the finished Web page and allow the visitor to page through the slides at their discretion.

3. By Clicking on Slides with the Mouse: The user clicking on the slide with the mouse button changes the slides.

· Background Color: You can customize the background of the slide show by choosing one of the two options.

1. Use Page's Color: Sets the current Web page background color as the slide show backdrop. If a background graphic is being used, the default color is white.

2. Select Custom Color: Clicking this button activates a color window, allowing you to set any Windows color for you slide show background.

· Once you have set the slide style and background color click Next.

Attached Files Dialog

· Adding Images to the Slide Show: You can add slides (or "attach files") to the slide show in the Attach Files dialog box.

· Add Files to the List: The list of files or images that will play in your slide show can be created and added to by using this button. Click the button and add files using the Open Files Dialog box. ÜUsage Tip: You can add multiple files in a folder by holding down the CTRL key and clicking on the files with the mouse. The files will become highlighted and you can add them at the same time. You can also add files from different folders by navigating to another folder and repeating the selection process.

· Delete Files from the List: Highlight one or several of the files that you wish to remove from the slide show and click the Delete Files from List button.

· Verify Files from List: Checks the Hard drive to ensure all files are present.

· Once finished click the Finish button and the slide show will now appear on your Web page. You can see how it looks and functions by going to Web>Preview Web Site.

· Note: The size of the Slide Show will correspond with the size of the largest graphic within the show. You cannot resize the show once added to the page. To resize, you need to resize the individual images themselves.

Important Note: The Slide Show will only work with JPEG and GIF files only! In addition, there must be no spaces in the file names.


Text FX

Animated Text FX

Ticker | The text enters from the right and exits on the left giving the "news ticker" effect we see across the bottom of the screen on some TV news stations. The message repeats.
Every Other | The text enters from both left and right in "every other letter" form and is assembled in the middle of the text box. It then exits in a similar fashion and repeats.
Center Expanding | The text is compressed in the center of the text box and then "expands" to regular readable status. It repeats the pattern of compression and expansion.
Up and Over | The text is brought up from the bottom of the text box one letter at a time until the message is complete. It then exits by scrolling out of the left side of the text box and repeats.
Scroll Up | The text is brought up from the bottom of the text box one letter at a time until the message is complete. It then disappears and is repeated.
In Order | The text is actively "written" in the text box from left to right. It appears as if someone is typing the message. Message disappears and is rewritten.
Scroll Left | The text enters one letter at a time from the left until the entire message is displayed. This effect works well with short two and three word messages.
Track Fade | The text is actively "written" left to right and is actively "erased" right behind. The effect is similar to running a flashlight along a wall of words in a dark room. You only see the words in the flashlight beam.
Tracker | The text is displayed in full but the letters are highlighted one at a time, left to right, by a different color.
Mixed Up | The text is assembled as the letters fall into place from all over the text box. They are then scattered in different directions only to be assembled again. Also called Coalesce.
Mixed Up Mouse Over | The text is scattered all over the text box. When the visitor places the mouse over the box the letters fall into place to spell out the message. When the visitor moves the mouse cursor away from the box the letters are once again scattered.